set WEBSERVER=localhost
set JAVA_HOME=D:\j2sdk1.4.2
set TOMCAT_HOME=D:\Tomcat4.1LE
set VKC_REPOSITORY=E:\work\VKC3
set USER_HOME=C:\WINNT\Profiles\lawern

REM Erstellung der Zertifikatdatei, die das Zertifikat enthaelt, mit dem sich der Server ausweist.

keytool -genkey -v -keyalg RSA -alias tomcat -keypass changeit -storepass changeit -dname "CN=%WEBSERVER%, OU=VKC, O=CLAB, L=Paderborn, S=NRW, C=DE" -keystore tomcat.store


REM vorlufige Selbst-Zertifizierung
keytool -selfcert -v -alias tomcat -storepass changeit -keystore tomcat.store
REM Import des echten SSL-Zertifikates
REM keytool -import -v -trustcacerts -alias tomcat -file CERT.pem -keystore tomcat.store


REM Anzeige der Keystore-Daten ( importierte Zertifikate )
keytool -list -v -storepass changeit -keystore tomcat.store

REM Die keystore-Datei muss im User-Verzeichnis des Benutzers gespeichert 
REM sein, unter dem Tomcat laufen wird
REM
REM Wird Tomcat als Windows-NT-Service betrieben lautet das User-Verzeichnis
REM "C:\Documents and Settings\Default User" !!!!!!!!

copy tomcat.store "%USER_HOME%\.keystore"

REM JSSE-Dateien jcert.jar, jnet.jar und jsse.jar nach $JAVA_HOME/jre/lib/ext kopieren
copy "%VKC_REPOSITORY%\jars\jsse\jcert.jar" "%JAVA_HOME%\jre\lib\ext\jcert.jar"
copy "%VKC_REPOSITORY%\jars\jsse\jnet.jar" "%JAVA_HOME%\jre\lib\ext\jnet.jar"
copy "%VKC_REPOSITORY%\jars\jsse\jsse.jar" "%JAVA_HOME%\jre\lib\ext\jsse.jar"

REM Datei $JAVA_HOME/jre/lib/security/java.security austauschen
REM um der JRE den Security-Provider "com.sun.net.ssl.internal.ssl.Provider"
REM bekannt zu machen

REM Sicherungskopie erstellen
if not exist "%JAVA_HOME%\jre\lib\security\java.security.orig" copy "%JAVA_HOME%\jre\lib\security\java.security" "%JAVA_HOME%\jre\lib\security\java.security.orig"

REM copy java.security "%JAVA_HOME%\jre\lib\security\java.security"

REM ######################  WICHTIG ##########################
REM #                                                        #
REM #  In der Datei "%TOMCAT_HOME%\conf\server.xml" den      #
REM #  Eintrag <Connector ... port="8443">                   #
REM #  ... </Connector>                                      #
REM #  suchen, dort port="8443" durch port="443" ersetzen,   #
REM #  und die Zeilen '<!--' und '-->' vor und hinter        #
REM #  diesem Block entfernen                                #
REM #                                                        #
REM #  ... und natrlich Tomcat neu starten                  #
REM #                                                        #
REM #  anschliessend kann per https://localhost/VKC          #
REM #  per SSL mit Tomcat kommuniziert werden                #
REM #                                                        #
REM ##########################################################
