update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '160' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2005-11-24' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (72, 'LOGIN', 'sysparam.context.login', 'MaxPwdMismatchCount', 'sysparam.context.login.maxpwdmismatchcount', '3', 'Maximum number of unsuccessful password authentication attempts', 'sysparam.context.login.maxpwdmismatchcount.descr', 0, 0, 0, 1);

insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (73, 'LOGIN', 'sysparam.context.login', 'UserLockTime', 'sysparam.context.login.userlocktime', '24', 'User locktime (in Hours) after max. num. unsuccessful pwd. authentication attempts (0 = permanent)', 'sysparam.context.login.userlocktime.descr', 0, 0, 0, 1);

alter table USERS add PWDMISMATCHCOUNT integer; 

update USERS set PWDMISMATCHCOUNT = 0;

commit;