alter table LICENSE add IS_ACTIVE INTEGER;
update LICENSE set IS_ACTIVE = 0;
alter table USERS drop LICENSEID;
alter table USERS drop ACCEPTED;

/*==============================================================*/
/* Table: USERLICENSE                                           */
/*==============================================================*/
create table USERLICENSE (
LICENSEID            INTEGER                        not null,
USERID               INTEGER                        not null,
ACCEPTED			 TIMESTAMP,
CREATED              TIMESTAMP,
CREATORID            INTEGER,
constraint PK_USERLICENSE primary key (LICENSEID, USERID)
);

alter table USERLICENSE
   add constraint FK_USERLICENSE foreign key (USERID)
      references USERS (USERID);

update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '191' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2007-08-08' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';

commit;