/*==============================================================*/
/* Table: SEARCHQUERIES                               			*/
/*==============================================================*/
create table SEARCHQUERIES (
QUERYID              INTEGER                        not null,
CATEGORYID           INTEGER                        not null,
QUERYFIELD           VARCHAR(512),

constraint PK_SEARCHQUERIES primary key ( QUERYID, CATEGORYID )
);

create generator SEARCHQUERIES_SEQ;
set generator SEARCHQUERIES_SEQ to 0;

update SYSPARAMETERS set VALUESTRING = '67' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-03-29' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';
commit;