update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh'
/
update SYSPARAMETERS set VALUESTRING = '130' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow'
/
update SYSPARAMETERS set VALUESTRING = '2004-11-19' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate'
/
CREATE TABLE "USERRATINGS"
(
  "USERRATINGID"    INTEGER NOT NULL,
  "MINPUBDOCSCOUNT" INTEGER NOT NULL,
  "DESCRIPTION"	    VARCHAR(20),
  "DESCR_KEY"       VARCHAR(50) NOT NULL,
  "ICON"            VARCHAR(50),
CONSTRAINT "PK_USERRATINGS" PRIMARY KEY ("USERRATINGID")
)
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (1, 50, 'graduate', 'vkc.userrating.graduate', 'userrating/graduate.gif')
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (2, 100, 'professional', 'vkc.userrating.professional', 'userrating/professional.gif')
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (3, 200, 'wizard', 'vkc.userrating.wizard', 'userrating/wizard.gif')
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (4, 300, 'king', 'vkc.userrating.king', 'userrating/king.gif')
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (5, 400, 'pharao', 'vkc.userrating.pharao', 'userrating/pharao.gif')
/
INSERT INTO USERRATINGS (USERRATINGID, MINPUBDOCSCOUNT, DESCRIPTION,  DESCR_KEY, ICON)
     VALUES (6, 500, 'olympian', 'vkc.userrating.olympian', 'userrating/olympian.gif')
/
create sequence USERRATINGS_SEQ start with 7 increment by 1
/
commit
/