update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh'
/
update SYSPARAMETERS set VALUESTRING = '175' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow'
/
update SYSPARAMETERS set VALUESTRING = '2006-07-17' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate'
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (84, 'INDEX', 'sysparam.context.index', 'OptimizationPeriod', 'sysparam.context.index.optimizationperiod', '60', 'Search Index optimization period in minutes', 'sysparam.context.index.optimizationperiod.descr', 0, 0, 0, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (85, 'INDEX', 'sysparam.context.index', 'ParameterOptimization', 'sysparam.context.index.parameteroptimization', '1', 'Parameter optimization', 'sysparam.context.index.parameteroptimization.descr', 0, 0, 0, 2)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (86, 'INDEX', 'sysparam.context.index', 'ParameterOptimizationTime', 'sysparam.context.index.parameteroptimizationtime', '01:00:00', 'Classification parameter optimization time', 'sysparam.context.index.parameteroptimizationtime.descr', 0, 0, 0, 0)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (87, 'INDEX', 'sysparam.context.index', 'ParameterOptimizationPeriod', 'sysparam.context.index.parameteroptimizationperiod', '24', 'Classification parameter optimization period in hours', 'sysparam.context.index.parameteroptimizationperiod.descr', 0, 0, 0, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (88, 'INDEX', 'sysparam.context.index', 'FullCrossValidation', 'sysparam.context.index.fullcrossvalidation', '0', 'Cross validation with all documents?', 'sysparam.context.index.fullcrossvalidation.descr', 0, 0, 0, 2)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (89, 'INDEX', 'sysparam.context.index', 'NumberOfNeighbors', 'sysparam.context.index.numberofneighbors', '-1', 'k parameter of kNN-Classifier', 'sysparam.context.index.numberofneighbors.descr', 0, 1, 0, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (90, 'INDEX', 'sysparam.context.index', 'RelFeatureSumTreshold', 'sysparam.context.index.relfeaturesumtreshold', '1', 'feature selection treshold', 'sysparam.context.index.relfeaturesumtreshold.descr', 0, 1, 0, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (91, 'INDEX', 'sysparam.context.index', 'MeanAccuracy', 'sysparam.context.index.meanaccuracy', '1', 'Mean accuracy of classifier', 'sysparam.context.index.meanaccuracy.descr', 0, 1, 0, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (92, 'INDEX', 'sysparam.context.index', 'MeanScore', 'sysparam.context.index.meanscore', '1', 'Mean score of classifier', 'sysparam.context.index.meanscore.descr', 0, 1, 1, 1)
/
insert into SYSPARAMETERS
            (SYSPARAMETERID, CONTEXT, CONTEXT_KEY, NAME, NAME_KEY, VALUESTRING, DESCRIPTION, DESCR_KEY, ALLOWNULL, READONLY, HIDE, DATATYPE)
     values (93, 'INDEX', 'sysparam.context.index', 'LastParameterOptimization', 'sysparam.context.index.lastparameteroptimization', '', 'End time of last classification parameter optimization', 'sysparam.context.index.lastparameteroptimization.descr', 1, 1, 0, 1)
/
commit
/