<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="Hilfe zum VKC: Benutzerprofil">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }
  
  </script>
</head>

<!-- DEUTSCHE VERSION ************************************************** -->

<!-- Version 28-Feb-2008 VKC 4.1 -->

<body onload="init();">
<a name="top"></a>

<h2>
<a name="profile"></a>
VKC-Hilfe: Benutzerprofil</h2>

<p>
Jeder VKC-Nutzer hat ein <b>pers&ouml;nliches Profil</b>
mit Daten zur Person, Einstellungen und Funktionen zum
&Auml;ndern des Passworts, zur Disposition von Dokumenten
mit abgelaufenem Verfallsdatum und zur Anpassung der Dokumentsicht.
</p>
<p>
<img src="pic3-vkc-profile.gif" border="1" 
alt="Benutzerprofil">
</p>
<p>
Die <b>pers&ouml;nlichen Daten</b>, die als Textzeilen dargestellt sind,
k&ouml;nnen direkt im jeweiligen Feld editiert werden.
&Auml;nderungen werden nach Klick auf die Schaltfl&auml;che <b>Speichern</b> wirksam.
</p>

<h3>
Pers&ouml;nliche Einstellungen
</h3>

<dl>
<dt>
<b>Email anzeigen:</b></dt>
<dd>
Standardm&auml;&szlig;ig ist diese Option ausgeschaltet, und die Email-Adresse
des Benutzers wird VKC-Lesern beim Abruf der Autoreninformationen nicht
angezeigt.</dd>
<dt>
<b>HTML Benachrichtigung aktivieren:</b></dt>
<dd>
Standardm&auml;&szlig;ig ist diese Option angeschaltet, 
sodass Benachrichtigungs-Emails vom VKC Messenger in HTML-Format
verschickt werden. Ist die Option ausgeschaltet, so werden die
Benachrichtigungen als "plain text" versandt.
</dd>
<dt>
<b>Men&uuml;sprache:</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung der VKC-Men&uuml;sprache.
Z. Zt. werden Deutsch und Englisch unterst&uuml;tzt.</dd>
<dt>
<b>Sortierung bei "Suche":</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung einer Standard-Sortierfolge
f&uuml;r Suchergebnisse (Default: absteigend nach Ranking).</dd>
<dt>
<b>Sortierung bei "Bestseller":</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung einer Standard-Sortierfolge
f&uuml;r Bestseller (Default: absteigend nach Zugriffen).</dd>
<dt>
<b>Sortierung bei "Neuerscheinungen":</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung einer Standard-Sortierfolge
f&uuml;r Neuerscheinungen (Default: absteigend nach Publikationsdatum).</dd>
<dt>
<b>Sortierung bei "Dokumentablage":</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung einer Standard-Sortierfolge
f&uuml;r die Dokumentablage (Default: absteigend nach Publikationsdatum).</dd>
<dt>
<b>Systemsicht:</b></dt>
<dd>
Diese Auswahlliste erlaubt die individuelle Einstellung der Startsicht
nach dem Login: Kategorie-, Projekt- oder Funktionssicht.
Die Auswahl wird nur dann angeboten, wenn der Benutzer zum Sichtwechsel
berechtigt ist. Die Erlaubnis kann vom Administrator gegeben werden.
</dd>
<dt>
<b>Quota:</b></dt>
<dd>
gibt an, wieviel Speicherplatz vom Benutzer im VKC bisher belegt wird, sowie
wieviel Platz zum Publizieren ihm insgesamt zur Verf&uuml;gung steht.
Dieser Parameter wird vom Administrator vorgegeben.
Zur Information sind au&szlig;erdem die Anzahl vom Benutzer <b>publizierter
Dokumente</b> und die Anzahl von ihm <b>erstellter Kategorien</b> aufgef&uuml;hrt.
</dd>
<dt>
<b>Letztes Einloggen:</b></dt>
<dd>
gibt an, wann sich der Benutzer zuletzt im VKC angemeldet hat.
</dd>
<dt>
<b>Sitzungsende nach:</b></dt>
<dd>
gibt an, nach welcher Zeitspanne die Sitzung aus Sicherheitsgr&uuml;nden
automatisch beendet wird, wenn keine Eingabe mehr erfolgt.
Der Parameter wird vom Administrator vorgegeben.
</dd>
<dt>
<b>Explorer Fenster anzeigen:</b></dt>
<dd>
Ist diese Option eingeschaltet, so wird der VKC-Kategorienbrowser
automatisch auf der linken Seite des Fensters eingeblendet,
wenn die Kategoriesicht angezeigt wird.
</dd>
<dt>
<b>Benutzer-Privilegien:</b></dt>
<dd>
gibt an, ob dem Benutzer vom Administrator besondere Rechte erteilt wurden,
z.&nbsp;B. zum Anlegen eigener Benutzer oder Gruppen.
</dd>
<dt><b>Startkategorie:</b></dt>
<dd>
Dieser Eintrag gibt an, welche Kategorie dem Benutzer bei Anwahl der <b>Dokumentablage</b>
in der dokumentenorientierten VKC-Sicht angezeigt wird.
Per Klick auf das Symbol
<img src="pic3-button-navigator.gif" border="0" align="middle" alt="">
kann ein kleines Explorer-Fenster zum Einstellen der Startkategorie ge&ouml;ffnet werden.
</dd>
<dt><b>Gruppen:</b></dt>
<dd>
Es werden die Gruppen genannt, deren Mitglied der angemeldete Benutzer ist.
Die Gruppennamen sind Hyperlinks.
Beim Klick auf einen solchen Link wird ein Informationsfenster mit
dem jeweiligen Gruppenprofil ge&ouml;ffnet.
</dd>
<dt><b>Stellvertreter f&uuml;r:</b></dt>
<dd>
Hier werden VKC-Benutzer aufgef&uuml;hrt,
f&uuml;r die der angemeldete Benutzer stellvertretend publizieren darf.
Optional kann die Stellvertretung zeitlich begrenzt sein.
</dd>
<dt><b>Eigene Stellvertreter:</b></dt>
<dd>
Es sind die VKC-Benutzer angezeigt,
die stellvertretend f&uuml;r den angemeldeten Benutzer publizieren d&uuml;rfen.
Optional kann die Stellvertretung zeitlich begrenzt sein.
Die Festlegung von Stellvertretern f&uuml;r einen Benutzer
erfordert begrenzte Administrationsrechte, die dem Benutzer vom Administrator
&uuml;bertragen werden k&ouml;nnen.
<br>
Die Benutzernamen in den Stellvertreterfeldern sind Hyperlinks, die
ein separates Informationsfenster mit n&auml;heren Angaben &uuml;ber den
Benutzer laden.
</dd>
</dl>

<h3>&Uuml;ber Schaltfl&auml;chen aktivierbare Funktionen</h3>

<h4>Speichern</h4>

<p>
Wenn Daten im Profil ge&auml;ndert oder hinzugef&uuml;gt wurden,
muss das Profil per Klick auf Schaltfl&auml;che <b>Speichern</b>
gespeichert werden, damit die Eintragungen wirksam werden.
</p>

<h4>Passwort &auml;ndern</h4>

<p>
Es wird ein Formular geladen, in dem nach Eingabe des alten ein neues
Passwort gesetzt werden kann.
</p>
<img src="pic3-vkc-setpwd.gif" width="411" height="180" border="1"
alt="Neues Passwort">
<p>
Nur nach korrekter Eingabe des alten Passworts, bei &Uuml;bereinstimmung der
beiden Eingaben des neuen Passworts und nach Klick auf <b>Passwort &auml;ndern</b>
wird das alte Passwort durch das neue ersetzt.
</p>

<h4>Abgelaufene Dokumente</h4>

<p>
Mit dieser Funktion k&ouml;nnen Sie pr&uuml;fen,
ob im VKC von Ihnen publizierte Dokumente abgelaufen und in einer speziellen
Ablage zwischengespeichert sind. Das betrifft Dokumente, bei denen
ein Verfallsdatum gesetzt worden ist. Abgelaufene Dokumente
k&ouml;nnen vom Autor gel&ouml;scht, wiederhergestellt oder neu publiziert
werden.
</p>

<h4>Dokumentsicht anpassen</h4>

<p>
Diese Funktion dient dazu, individuell einzustellen,
welche Dokumentattribute in einem Dokumenteintrag gelistet werden sollen.
</p>
<p>
Per Klick auf die Schaltfl&auml;che <b>Dokumentsicht anpassen</b> wird
ein Formular geladen, das zun&auml;chst die Standardeinstellung anzeigt,
die vom Administrator vorgegeben ist:
</p>
<img src="pic3-vkc-docview-std.gif" width="396" height="420" border="1" 
alt="Standardansicht">
<p>
Klicken Sie in den Kreis vor "Komplettansicht", so sehen sie, welche Attribute
zur vollst&auml;ndigen Ansicht geh&ouml;ren. F&uuml;r die pers&ouml;nliche
Anpassung klicken Sie in den Kreis von "Benutzeransicht" und erhalten z.&nbsp;B.
folgendes Formular:
</p>
<img src="pic3-vkc-docview-usr.gif" width="395" height="421" border="1" 
alt="Benutzeransicht">
<p>
Die in der Standardansicht vorgegebenen Attribute k&ouml;nnen Sie nicht
abschalten. Deswegen sind deren Felder grau hinterlegt.
Unter den restlichen Attributen k&ouml;nnen Sie alle anschalten, die Sie k&uuml;nftig
in der Dokumentsicht zus&auml;tzlich immer sehen m&ouml;chten.
</p>
<p>
Per Klick auf <b>Speichern</b> werden Ihre Einstellungen wirksam.<br>
Per Klick auf <b>Zur&uuml;ck</b> kehren Sie in das Benutzerprofil zur&uuml;ck.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<p>
<b>Hinweis:</b>
<br>
Bitte benutzen Sie f&uuml;r die R&uuml;ckkehr in die aufrufende Hilfeseite
die <b>Back</b>-Funktion Ihres Browsers.
</p>

<img src="vkc-versioninfo.gif" alt="Versionsinformation" border="0">

</body>
</html:html>