/*
 * $Id: PageId.java,v 1.7 2006/09/11 14:32:46 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: PageId.java,v $
 * Revision 1.7  2006/09/11 14:32:46  marbobo
 * + Neue Konstante hinzugefgt
 *
 * Revision 1.6  2006/05/12 22:14:48  marbobo
 * + Administrationssicht implementiert
 *
 * Revision 1.5  2006/02/27 16:16:13  marbobo
 * + Systemsichten hinzugefgt
 * + SysLinks angepasst
 * + Benutzer knnen falls gewnscht Dokumentqueries anlegen
 *
 * Revision 1.4  2004/07/20 08:57:44  jonyp
 * added copyright info + cvs log
 *
 *
 */

package vkc.view;

public final class PageId {
    public final static Integer UNDEFINED_VIEW  = new Integer(-1);
    public final static Integer PROJECT_VIEW  = new Integer(0);
	public final static Integer FUNCTIONAL_VIEW = new Integer(1);
	public final static Integer CATEGORY_VIEW = new Integer(2);
	public final static Integer ADMINISTRATION_VIEW = new Integer(3);
    
    private PageId () {
    }
}
