/*
 * $Id: LdapEnabledTag.java,v 1.1 2004/10/14 10:15:32 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: LdapEnabledTag.java,v $
 * Revision 1.1  2004/10/14 10:15:32  jonyp
 * first strike
 *
 * 
 */
package vkc.view.tag;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.TagSupport;
import vkc.view.WebShare;

/**
 * Tag zur berprfung, ob LDAP ntersttzung eingeschaltet ist
 *
 * @author jonyP
 */
public class LdapEnabledTag extends TagSupport{


    /**
     * Konstruktor
     */
    public LdapEnabledTag() {
    }


    /**
     * Aufruf der Methode am Anfang des Tags
     */
    public int doStartTag() throws JspException {
        if (Integer.parseInt(WebShare.getSysParameterValue("LDAP", "EnableLdapSupport", "0")) != 0){   
		    return EVAL_BODY_INCLUDE;
		} 
        
        return SKIP_BODY;
    }

    /**
     * Aufruf der Methode am Ende des Tags
     */
    public int doEndTag() throws JspException {
	
		return EVAL_PAGE;
    }
}