/*
 * $Id: TextareaTag.java,v 1.1 2005/02/03 14:40:27 marbobo Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universitt Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: TextareaTag.java,v $
 * Revision 1.1  2005/02/03 14:40:27  marbobo
 * + Initiale Version
 *
 */

package vkc.view.tag;

import javax.servlet.jsp.JspException;

import vkc.util.VKCStringUtils;

public class TextareaTag extends org.apache.struts.taglib.html.TextareaTag {

    /**
     * Renders the value displayed in the &lt;textarea&gt; tag.
     * @throws JspException
     * @since Struts 1.1
     */
    protected String renderData() throws JspException {
        String data = this.value;

        if ( data == null ) {
            data = this.lookupProperty( this.name, this.property );
        }
        
        return ( data == null ) ? "" : VKCStringUtils.filterUnicodeChars( data );
    }
}