/*==============================================================*/
/* Table: USERDOCVIEWCONFIG                            			*/
/*==============================================================*/
create table USERDOCVIEWCONFIG (
ENTRYID              INTEGER                        not null,
USERID           	 INTEGER                        not null,
FIELDNAME            VARCHAR(256)					not null,
ENABLED              INTEGER						not null,

constraint PK_USERDOCVIEWCONFIG primary key ( ENTRYID, USERID )
);

create generator USERDOCVIEWCONFIG_SEQ;
set generator USERDOCVIEWCONFIG_SEQ to 0;

update SYSPARAMETERS set VALUESTRING = '1'  where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionHigh';
update SYSPARAMETERS set VALUESTRING = '84' where CONTEXT = 'SYSTEMINFO' and name = 'DBVersionLow';
update SYSPARAMETERS set VALUESTRING = '2004-04-26' where CONTEXT = 'SYSTEMINFO' and name = 'DBCreationDate';
commit;