<%@ page language="java" buffer="64kb" %>
<%@ page import="vkc.view.WebShare" %>

<%@ taglib uri="struts-html"     prefix="html"  %>
<%@ taglib uri="struts-bean"     prefix="bean"  %>
<%@ taglib uri="struts-logic"    prefix="logic" %>
<%@ taglib uri="vkc-taglib"      prefix="vkc"   %>

<table width="100%" align="center" cellspacing="0" cellpadding="0" border="0">
  <tr><td><vkc:img page="/templates/${template.name}/gfx/trans.gif" alt="" height="5" width="1"/></td></tr>
  <tr>
	<vkc:hasDedicatedUserAdminPrivileges>
    <logic:present name="userListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/userList.do" style="font-weight:bold;"><vkc:message key="vkc.administration.usermanagement"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="userListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/userList.do" style="font-weight:normal;"><vkc:message key="vkc.administration.usermanagement"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        
	</vkc:hasDedicatedUserAdminPrivileges>

	<vkc:hasDedicatedGroupAdminPrivileges>
    <logic:present name="groupListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/groupList.do" style="font-weight:bold;"><vkc:message key="vkc.administration.groupmanagement"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="groupListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/groupList.do" style="font-weight:normal;"><vkc:message key="vkc.administration.groupmanagement"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        
	</vkc:hasDedicatedGroupAdminPrivileges>

	<vkc:hasAdminPrivileges>

    <logic:present name="activeUserListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/activeUserList.do" style="font-weight:bold;"><vkc:message key="vkc.administration.activeUsers"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="activeUserListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/activeUserList.do" style="font-weight:normal;"><vkc:message key="vkc.administration.activeUsers"/></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <logic:present name="sendEmailSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/sendEmail.do" style="font-weight:bold;"><vkc:message key="vkc.administration.sendEmail" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="sendEmailSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/sendEmail.do" style="font-weight:normal;"><vkc:message key="vkc.administration.sendEmail" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <logic:present name="systemParametersSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemParameters.do" style="font-weight:bold;"><vkc:message key="vkc.administration.systemparameters" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="systemParametersSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemParameters.do" style="font-weight:normal;"><vkc:message key="vkc.administration.systemparameters" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <logic:present name="systemDefaultsSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemDefaults.do" style="font-weight:bold;"><vkc:message key="vkc.administration.systemdefaults" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="systemDefaultsSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemDefaults.do" style="font-weight:normal;"><vkc:message key="vkc.administration.systemdefaults" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <logic:present name="systemMaintenanceSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemMaintenance.do" style="font-weight:bold;"><vkc:message key="vkc.administration.systemmaintenance" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="systemMaintenanceSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/systemMaintenance.do" style="font-weight:normal;"><vkc:message key="vkc.administration.systemmaintenance" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <logic:present name="newsListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/newsList.do" style="font-weight:bold;"><vkc:message key="vkc.administration.newsmanagement" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="newsListSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/newsList.do" style="font-weight:normal;"><vkc:message key="vkc.administration.newsmanagement" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        

    <vkc:statisticsEnabled>
    <logic:present name="statisticsSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/showStatistics.do" style="font-weight:bold;"><vkc:message key="vkc.administration.showstatistics" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="statisticsSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/showStatistics.do" style="font-weight:normal;"><vkc:message key="vkc.administration.showstatistics" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>  
    </vkc:statisticsEnabled>

    <vkc:ldapEnabled>
    <logic:present name="ldapSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/ldapServerList.do" style="font-weight:bold;"><vkc:message key="vkc.administration.ldap" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:present>        
    <logic:notPresent name="ldapSelected" scope="request">        
    <td nowrap="nowrap"><vkc:link page="/ldapServerList.do" style="font-weight:normal;"><vkc:message key="vkc.administration.ldap" /></vkc:link>&nbsp;&nbsp;</td>
    </logic:notPresent>        
    </vkc:ldapEnabled>

	</vkc:hasAdminPrivileges>

    <td width="100%" nowrap="nowrap">&nbsp;</td>
  </tr>
  <vkc:hline colspan="15" lineClass="hline" lineHeight="1" topSpace="10" bottomSpace="5"/>
</table>
