<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="Hilfe zum Virtual Knowledge Center">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }
  
  </script>
</head>

<!-- DEUTSCHE VERSION ************************************************** -->

<!-- Version 28-Feb-2008 VKC 4.1 -->
<!-- Classic Darstellungsformat -->

<body onload="init();">
<a name="top"></a>

<h1>
<img src="pic3-vkc-logo.gif" hspace="5" align="middle" alt="VKC-Logo">
VKC-Hilfe
</h1>

<h2><a name="news"></a>
News - Neuigkeiten von Ihrem Administrationsteam</h2>

<p>
Wenn bei Ihrem Login <b>aktuelle Neuigkeiten</b> vom Administrationsteam vorliegen,
werden sie nach der Passwortpr&uuml;fung automatisch angezeigt.
Nach Klick auf <b>Login fortsetzen</b> wird wie &uuml;blich die Dokumentablage
ge&ouml;ffnet.
</p>
<img src="pic3-vkc-news.gif" border="1"
alt="News-Funktion" align="right">
<p>
W&auml;hrend der VKC-Sitzung finden Sie diese aktuellen Hinweise
unter der Registerkarte <b>News</b>.
<br clear=all>
</p>


<h2>
Hilfethemen
</h2>

<p>
<b>Klicken Sie ins Bild unten, um Hilfe zu erhalten.</b>
<br>
Sie k&ouml;nnen auch alternativ die
<a href="#textual">Text-Links</a>
benutzen.
</p>

<!-- IMAGE MAP ************************************************** -->

<map name="vkcmain">
<area title="Sichtwechsel"         shape=rect coords="213,0,434,10"    href="#views">
<area title="Abmelden"             shape=rect coords="660,15,727,33"   href="#logout">
<area title="Dokumentablage"       shape=rect coords="68,40,152,60"    href="#storage">
<area title="Favoriten"            shape=rect coords="158,40,206,60"   href="#favorites">
<area title="Historie"             shape=rect coords="211,40,253,60"   href="#history">
<area title="Neuerscheinungen"     shape=rect coords="259,40,351,60"   href="#latest">
<area title="Bestseller"           shape=rect coords="356,40,409,60"   href="#best">
<area title="Erweiterte Suche"     shape=rect coords="415,40,500,60"   href="#advsearch">
<area title="Messenger"            shape=rect coords="504,40,560,60"   href="#messenger">
<area title="News"                 shape=rect coords="561,41,593,61"   href="#news">
<area title="Profil"               shape=rect coords="659,41,690,61"   href="#profile">
<area title="Hilfe"                shape=rect coords="698,41,725,60"   href="#help">
<area title="VKC Pfad"             shape=rect coords="0,62,247,110"    href="#path"> 
<area title="Kategoriefunktionen"  shape=rect coords="412,63,713,85"   href="#catfunctions">
<area title="Unterkategorien"      shape=rect coords="0,111,199,233"   href="#categories">
<area title="Einfache Suche"       shape=rect coords="526,89,712,132"  href="#search">
<area title="Funktionsauswahl"     shape=rect coords="0,236,239,257"   href="#functionlist">
<area title="Dokumentbereich"      shape=rect coords="0,268,717,495"   href="#docsection">
<area title="Benutzer"             shape=rect coords="503,503,675,522" href="#username">
</map>

<p>
<img src="pic3-vkc-main.gif" width="737" height="524" border="2"
alt="anklickbares Bild einer VKC-Seite" usemap="#vkcmain">
</p>


<!-- TEXTUAL LINKS ************************************************** -->


<h3>
<a name="textual"></a>
Text-Links
</h3>

<dl>
<dt><small>VKC-Session:</small></dt>
<dd>
<a href="#username">Benutzer</a>&nbsp;&nbsp;
<a href="#views">Sichtwechsel</a>&nbsp;&nbsp;
<a href="#logout">Abmelden</a>&nbsp;&nbsp;
<a href="#webdav">Web-Ordner/WebDAV&nbsp;Sicht</a>&nbsp;&nbsp;
<br>&nbsp;
</dd>

<dt><small>VKC-Funktionen:</small></dt>
<dd>
<a href="#storage">Dokumentablage</a>&nbsp;&nbsp;
<ul>
<a href="#path">VKC-Pfad</a>&nbsp;&nbsp;
<a href="#navigator">Explorer</a>&nbsp;&nbsp;
<a href="#categories">Unterkategorien&nbsp;/&nbsp;Dokumentliste</a>&nbsp;&nbsp;
<a href="#functionlist">Funktionsauswahl</a>&nbsp;&nbsp;
<a href="#search">Einfache&nbsp;Suche</a>&nbsp;&nbsp;
<a href="#catfunctions">Kategoriefunktionen</a>&nbsp;&nbsp;
<a href="#docsection">Dokumentbereich</a><br>&nbsp;
</ul>

<ul>
<small>Kategoriefunktionen:</small><br>
<a href="helpmod-catfunctions.jsp#caturl">Kategorielink&nbsp;als&nbsp;URL&nbsp;darstellen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#reloadcat">Seite&nbsp;aktualisieren</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#gohome">zur&nbsp;Startkategorie&nbsp;gehen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#sethome">Kategorie&nbsp;als&nbsp;Startkategorie&nbsp;festlegen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#fullview">Alle&nbsp;Eigenschaften&nbsp;f&uuml;r&nbsp;alle&nbsp;Dokumente&nbsp;anzeigen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#shortview">Individuelle&nbsp;Eigenschaften&nbsp;f&uuml;r&nbsp;alle&nbsp;Dokumente&nbsp;anzeigen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#countcatdoc">Anzahl&nbsp;Unterkategorien&nbsp;und&nbsp;Dokumente&nbsp;ermitteln</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#archivecat">Kategorie&nbsp;archivieren</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#clustering">Dokumente&nbsp;dieser&nbsp;Kategorie&nbsp;clustern</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#insert">Dokument&nbsp;einf&uuml;gen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#paste">Einf&uuml;gen&nbsp;aus&nbsp;Clipboard</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#createcat">Neue&nbsp;Kategorie&nbsp;anlegen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#editcat">Kategorie&nbsp;bearbeiten</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#deletecat">Kategorie&nbsp;l&ouml;schen</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#permissioncat">Zugriffsrechte&nbsp;einsehen/bearbeiten</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#notify">Seite&nbsp;registrieren</a>&nbsp;&nbsp;
<a href="helpmod-catfunctions.jsp#addfavcat">Kategorie&nbsp;zu&nbsp;VKC-Favoriten&nbsp;hinzuf&uuml;gen</a><br>
<a href="helpmod-webfolder.jsp#openwebfolderview">Web-Ordner&nbsp;zur&nbsp;aktuellen&nbsp;Kategorie&nbsp;&ouml;ffnen&nbsp;(WebDAV)</a>
<small>(nur im Internet Explorer)</small>
</ul>

<ul>
<small>Dokumentfunktionen:</small><br>
<a href="helpmod-docentry.jsp#docurl">Dokumentlink&nbsp;als&nbsp;URL&nbsp;darstellen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#jumpcat">In&nbsp;das&nbsp;reale&nbsp;Verzeichnis&nbsp;springen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#chown">Herausgeber&nbsp;&auml;ndern</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#editdoc">Dokumenteigenschaften&nbsp;bearbeiten</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#addversion">Neue&nbsp;Version&nbsp;hinzuf&uuml;gen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#showversions">Alle&nbsp;Versionen&nbsp;anzeigen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#deletedoc">Dokument&nbsp;l&ouml;schen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#related">&Auml;hnliche&nbsp;Dokumente&nbsp;finden</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#notifydoc">Dokument&nbsp;registrieren</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#addfavdoc">Dokument&nbsp;zu&nbsp;VKC-Favoriten&nbsp;hinzuf&uuml;gen</a>&nbsp;&nbsp;
<a href="helpmod-docentry.jsp#toplink">Zum&nbsp;Seitenanfang</a>
</ul>
<br>&nbsp;

<a href="#favorites">Favoriten</a>&nbsp;&nbsp;
<a href="#history">Historie</a>&nbsp;&nbsp;
<a href="#latest">Neuerscheinungen</a>&nbsp;&nbsp;
<a href="#best">Bestseller</a>&nbsp;&nbsp;
<a href="#advsearch">Erweiterte&nbsp;Suche</a>&nbsp;&nbsp;
<a href="#messenger">Messenger</a>&nbsp;&nbsp;
<a href="#profile">Profil</a>&nbsp;&nbsp;
<a href="#help">Hilfe</a>&nbsp;&nbsp;
<br>&nbsp;<br>
<a href="help-admin.jsp">Administration</a>
<small>(nur f&uuml;r Benutzer mit Administrationsrechten)</small>&nbsp;&nbsp;
</dd>
</dl>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<!-- VKC SESSION   ****************************************************** -->

<h2>
VKC-Session</h2>

<h3>
<a name="username"></a>
Benutzer</h3>

<p>
<img src="pic3-vkc-username.gif" hspace="10" vspace="10" border="1" 
alt="Benutzername" align="left">
Dieser Eintrag zeigt den Benutzernamen des eingeloggten
Benutzers an, sowie in Klammern dahinter den vollst&auml;ndigen Namen.
Sollte es nicht Ihr eigenes Login sein,
so benutzen Sie bitte die Funktion
<a href="#logout">Abmelden</a>
und loggen sich unter dem richtigen Benutzernamen neu ein.
</p>
<p>
Das Symbol vor dem Benutzernamen zeigt an, ob der angemeldete Benutzer
<b>Administrationsrechte</b> besitzt:

<table cellspacing="5">
<tr valign="top">
       <td><img src="pic3-view-icon-admin.gif" border="0" alt=""></td>
       <td>volle Administrationsrechte</td>
</tr>
<tr valign="top">
       <td><img src="pic3-view-icon-dadmin.gif" border="0" alt=""></td>
       <td>dedizierte Administrationsrechte</td>
</tr>
<tr valign="top">
       <td><img src="pic3-view-icon-user.gif" border="0" alt=""></td>
       <td>keine Administrationsrechte</td>
</tr>
</table>

Nach dem Login wird in der Dokumentablage die pers&ouml;nliche Startkategorie
angezeigt, falls eine definiert ist, oder ansonsten die Wurzelkategorie der
Struktur.
Sollten Sie stattdessen die Meldung erhalten, dass Sie keine
Zugriffsrechte f&uuml;r die angew&auml;hlte Kategorie besitzen,
so w&auml;hlen Sie in der Funktionsleiste Ihr <a href="#profile">Profil</a> an,
tragen dort eine neue Startkategorie ein und speichern das Profil.
Danach sollte ein Wechsel in die <a href="#storage">Dokumentablage</a>
m&ouml;glich sein.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h3>
<a name="views"></a>
Sichtwechsel</h3>

<img src="pic3-vkc-viewselection.gif" border="1" alt="Sichtwechsel">

<p>
Die aktuelle Sicht der Dokumentablage ist die <b>Kategoriesicht</b>.
Sie ist in dieser Hilfeseite ausf&uuml;hrlich beschrieben.<br>
Benutzer, die vom Administrator zum Wechsel der Systemsicht berechtigt
wurden, finden am oberen Fensterrand eine Funktionsleiste zum Wechsel
der Sicht vor.
</p>
<p>
Sie k&ouml;nnen per Klick in die <b>Projektsicht</b> wechseln,
um an Projekten zu arbeiten,
oder in die <b>Funktionssicht</b>, um sich auf bestimmte Aufgabenbereiche
zugeschnittene Darstellungen anzusehen.
Besonderheiten dieser Sichten sind in einer eigenen Hilfeseite beschrieben,
die Sie nach dem Wechsel in eine der beiden Sichten abrufen k&ouml;nnen. 
</p>
<p>
Die Sicht, die Ihnen direkt nach dem Login angezeigt wird,
k&ouml;nnen Sie in Ihrem <a href="#profile">Profil</a> einstellen
(Feld <b>Systemsicht</b>).
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3>
<a name="logout"></a>
Abmelden</h3>

<img src="pic3-vkc-logout.gif" border="1" alt="Abmelden">

<p>
Mit einem Klick auf den Link <b>Abmelden</b> beenden Sie
die aktuelle VKC-Sitzung. Es wird das Login-Formular geladen.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<h3>
<a name="webdav"></a>
Web-Ordner/WebDAV Sicht</h3>

<p>
VKC unterst&uuml;tzt auch das WebDAV-Protokoll.
Benutzer k&ouml;nnen sich die gesamte VKC-Dokumentablage oder
einen Teilbaum als Web-Ordner zug&auml;nglich machen.
Die VKC-Kategorien und Dokumente sind dann im Filesystem-Browser
sichtbar und k&ouml;nnen &auml;hnlich wie Verzeichnisse und
Dateien im Filesystem behandelt werden.
Z.&nbsp;B. kann man per copy/paste-Funktion ganze Verzeichnisse
aus dem Filesystem ins VKC einstellen oder umgekehrt VKC-Kategorien
mit Dokumenten ins Filesystem exportieren. Dieser Mechanismus umfasst
allerdings nur die Nutzdaten (Dokumentinhalt), nicht die
im VKC verwalteten Metadaten.
</p>
<p>
<a href="helpmod-webfolder.jsp">zur Hilfeseite "VKC als Web-Ordner (WebDAV)"</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<!-- VKC FUNCTIONS ************************************************ -->

<h2>
VKC-Funktionen</h2>

<h3>
<a name="storage"></a>
Dokumentablage</h3>

<p>
In der Dokumentablage sind alle VKC-Dokumente gespeichert.
Die Ablage wird durch Kategorien hierarchisch strukturiert.
Kategorien sind vergleichbar mit den Verzeichnissen einer
Dateistruktur. Kategorien k&ouml;nnen aber zus&auml;tzlich
mit Schl&uuml;sselw&ouml;rtern und einer Beschreibung versehen
werden. Dadurch wird die Ablage und das Auffinden von Dokumenten
im VKC unterst&uuml;tzt.
Auf einer Webseite der Dokumentablage wird jeweils der Inhalt
einer VKC-Kategorie dargestellt.
</p>
<p>
Die Seite erm&ouml;glicht die Navigation innerhalb der
Kategorienstruktur und den Zugriff auf die darin gespeicherten
Dokumente, sowie eine einfache Suche.
</p>
<p>
Je nach Zugriffsrechten des Benutzers werden au&szlig;erdem
Funktionen angeboten, die sich auf die aktuelle Kategorie oder
auf einzelne Dokumente darin beziehen.
</p>
<p>
Nach dem Login wird in der Dokumentablage die pers&ouml;nliche Startkategorie
angezeigt, falls eine definiert ist, oder ansonsten die Wurzelkategorie der
Struktur.
Sollten Sie stattdessen die Meldung erhalten, dass Sie keine
Zugriffsrechte f&uuml;r die angew&auml;hlte Kategorie besitzen,
so w&auml;hlen Sie in der Funktionsleiste Ihr <a href="#profile">Profil</a> an,
tragen dort eine neue Startkategorie ein und speichern das Profil.
Danach sollte ein Wechsel in die Dokumentablage
m&ouml;glich sein.
</p>
<p>
<a href="#storage1">Ausf&uuml;hrliche Beschreibung der Dokumentablage ...</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<h3>
<a name="favorites"></a>
Favoriten</h3>


<p>
Die Funktion dient dazu, den Zugang zu bevorzugten Kategorien oder 
Dokumenten zu beschleunigen. Es wird je eine Favoritenliste f&uuml;r
Kategorien und Dokumente gef&uuml;hrt.
</p>
<p>
Bei Anwahl der Funktion wird
zun&auml;chst die Liste der <b>favorisierten Kategorien</b> angezeigt.
</p>
<img src="pic3-vkc-favorites-cat.gif" width="461" height="220" border="1" 
alt="favorisierte Kategorien">
<p>
Per Klick auf einen der Kategoriepfade wird die entsprechende Kategorie
in der Dokumentablage angew&auml;hlt und ihre Dokumentsicht geladen.
</p>
<p>
Wenn Sie Kategorien aus dieser Liste l&ouml;schen m&ouml;chten, markieren
Sie sie in den K&auml;stchen links vor den Pfaden und klicken anschlie&szlig;end
auf die Schaltfl&auml;che <b>Ausgew&auml;hlte Favoriten l&ouml;schen</b>.
Mit dem Aktivieren des Schalters <b>Alle</b> k&ouml;nnen Sie alle Favoriten
auf einmal selektieren und anschlie&szlig;end l&ouml;schen.
</p>
<p>
Wenn Sie eine Kategorie neu in die Favoritenliste aufnehmen m&ouml;chten,
benutzen Sie in der Dokumentablage die Kategoriefunktion "Kategorie zu Favoriten
hinzuf&uuml;gen"
<img src="pic3-button-add-catfavorites.gif" align="middle" alt="">.
</p>
<p>
Mit einem Klick auf den Hyperlink <b>Favorisierte Dokumente</b> wechseln Sie in
die Liste der Dokumentfavoriten, die eine Kurzansicht der von Ihnen bevorzugten
Dokumente anzeigt.
Per Klick auf das Plussymbol
<img src="pic3-button-plus.gif" align="middle" alt="">
vor dem Dokumenttitel k&ouml;nnen alle Dokumentattribute zum jeweiligen
Eintrag angezeigt werden.
</p>
<img src="pic3-vkc-favorites-doc.gif" width="703" height="311" border="1"
alt="favorisierte Dokumente">
<p>
Per Klick auf einen <b>Dateinamen</b> &ouml;ffnen Sie ein Fenster mit dem Dokumentinhalt.
Sollte Ihr Browser den Dateityp nicht darstellen oder die zugeh&ouml;rige Applikation
nicht starten k&ouml;nnen, so k&ouml;nnen Sie die Datei lokal speichern und bearbeiten.
</p>
<p>
Per Klick auf einen <b>Kategorienamen</b> wechseln Sie in die <b>Dokumentablage</b>,
und zwar in die Kategorie, in der das zugeh&ouml;rige Dokument publiziert wurde.
Bitte beachten Sie, dass bei Anwahl des Hyperlinks auf die Kategorie
standardm&auml;&szlig;ig der aktuelle Fensterinhalt &uuml;berschrieben wird.
</p>
<p>
Wenn Sie Dokumente aus dieser Liste l&ouml;schen m&ouml;chten, markieren
Sie sie in den K&auml;stchen links vor den Dokumenttiteln und klicken anschlie&szlig;end
auf die Schaltfl&auml;che <b>Ausgew&auml;hlte Favoriten l&ouml;schen</b>.
Mit dem Aktivieren des Schalters <b>Alle</b> k&ouml;nnen Sie alle Favoriten
auf einmal selektieren und anschlie&szlig;end l&ouml;schen.
</p>
<p>
Wenn Sie ein Dokument neu in die Favoritenliste aufnehmen m&ouml;chten,
benutzen Sie in der Dokumentablage im Dokumenteintrag die Funktion
"Dokument zu Favoriten hinzuf&uuml;gen"
<img src="pic3-button-add-docfavorites.gif" align="middle" alt="">.
</p>


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h3>
<a name="history"></a>
Historie</h3>

<p>
Diese Funktion listet in Kurzdarstellung bis zu f&uuml;nf Dokumente,
auf die Sie zuletzt zugegriffen haben.
Per Klick auf das Plussymbol
<img src="pic3-button-plus.gif" align="middle" alt="">
vor dem Dokumenttitel k&ouml;nnen alle Dokumentattribute zum jeweiligen
Eintrag angezeigt werden.
</p>
<img src="pic3-vkc-history.gif" width="703" height="269" border="1"
alt="Historie">
<p>
Per Klick auf einen <b>Dateinamen</b> &ouml;ffnen Sie ein Fenster mit dem Dokumentinhalt.
Sollte Ihr Browser den Dateityp nicht darstellen oder die zugeh&ouml;rige Applikation
nicht starten k&ouml;nnen, so k&ouml;nnen Sie die Datei lokal speichern und bearbeiten.
</p>
<p>
Per Klick auf einen <b>Kategorienamen</b> wechseln Sie in die <b>Dokumentablage</b>,
und zwar in die Kategorie, in der das zugeh&ouml;rige Dokument publiziert wurde.
Bitte beachten Sie, dass bei Anwahl des Hyperlinks auf die Kategorie
standardm&auml;&szlig;ig der aktuelle Fensterinhalt &uuml;berschrieben wird.
</p>
<p>
Per Klick auf <b>Dokument-Historie l&ouml;schen</b> wird die Dokumentliste
gel&ouml;scht.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h3>
<a name="latest"></a>
Neuerscheinungen</h3>

<p>
Diese Funktion liefert einen &Uuml;berblick &uuml;ber VKC-Dokumente nach
Publikationsdatum. Die neusten Dokumente werden zuerst gelistet.
Im Kopfbereich k&ouml;nnen einige Parameter vorgegeben werden, die die
Liste n&auml;her bestimmen.
</p>
<ul>
<li><b>Publikationsdatum:</b><br>
Start und Ende des betrachteten Zeitraums k&ouml;nnen vorgegeben werden
(Standardeinstellung: einen Monat r&uuml;ckw&auml;rts vom aktuellen Datum).</li>
<li><b>Kategoriepfad:</b><br>
Per Klick auf das Symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">
kann eine Kategoriepfad eingestellt werden, sodass nur der darunter liegende
Teilbaum der VKC-Struktur ber&uuml;cksichtigt wird
(Standardeinstellung: ab VKC-Wurzel-Kategorie).</li>
<li><b>Sortierung:</b><br>
Es kann das Sortierkriterium ausgew&auml;hlt werden
(Standardeinstellung: absteigend nach Publikationsdatum).</li>
<li><b>Trefferanzahl pro Seite:</b><br>
Die Anzahl von Dokumenteintr&auml;gen pro Seite kann bestimmt werden
(Standardeinstellung: 10 Treffer).</li>
</ul>
<p>
Per Klick auf Schaltfl&auml;che <b>Suchen</b> wird die Liste gem&auml;&szlig;
eingestellter Parameter neu aufgebaut.
</p>
<p>
Als Ergebnis wird eine Liste von Dokumenten in Kurzdarstellung angezeigt.
Per Klick auf das Plussymbol
<img src="pic3-button-plus.gif" align="middle" alt="">
vor dem Dokumenttitel k&ouml;nnen alle Dokumentattribute zum jeweiligen
Eintrag angezeigt werden.
</p>
<img src="pic3-vkc-latest.gif" width="758" height="448" border="1" 
alt="Neuerscheinungen">
<p>
Per Klick auf einen <b>Dateinamen</b> &ouml;ffnen Sie ein Fenster mit dem Dokumentinhalt.
Sollte Ihr Browser den Dateityp nicht darstellen oder die zugeh&ouml;rige Applikation
nicht starten k&ouml;nnen, so k&ouml;nnen Sie die Datei lokal speichern und bearbeiten.
</p>
<p>
Per Klick auf einen <b>Kategorienamen</b> wechseln Sie in die <b>Dokumentablage</b>,
und zwar in die Kategorie, in der das zugeh&ouml;rige Dokument publiziert wurde.
Bitte beachten Sie, dass bei Anwahl des Hyperlinks auf die Kategorie
standardm&auml;&szlig;ig der aktuelle Fensterinhalt &uuml;berschrieben wird.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3>
<a name="best"></a>
Bestseller</h3>

<p>
Diese Funktion liefert einen &Uuml;berblick &uuml;ber
die vermutlich interessantesten Dokumente im VKC gemessen an der
Zahl der Zugriffe.
Im Kopfbereich k&ouml;nnen einige Parameter vorgegeben werden, die die
Liste n&auml;her bestimmen.
</p>
<ul>
<li><b>Publikationsdatum:</b><br>
Start und Ende k&ouml;nnen vorgegeben werden.
Nur Dokumente, die innerhalb dieses Zeitraums publiziert worden sind,
werden ber&uuml;cksichtigt
(Standardeinstellung: ein Jahr r&uuml;ckw&auml;rts vom aktuellen Datum).</li>
<li><b>Zugriffsdatum:</b><br>
Start und Ende k&ouml;nnen vorgegeben werden.
Nur Zugriffe, die innerhalb dieses Zeitraums stattfanden,
werden ber&uuml;cksichtigt
(Standardeinstellung: einen Monat r&uuml;ckw&auml;rts vom aktuellen Datum).</li>
<li><b>Kategoriepfad:</b><br>
Per Klick auf das Symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">
kann eine Kategoriepfad eingestellt werden, sodass nur der darunter liegende
Teilbaum der VKC-Struktur ber&uuml;cksichtigt wird
(Standardeinstellung: ab VKC-Wurzel-Kategorie).</li>
<li><b>Sortierung:</b><br>
Es kann das Sortierkriterium ausgew&auml;hlt werden
(Standardeinstellung: absteigend nach Anzahl der Zugriffe).</li>
<li><b>Trefferanzahl pro Seite:</b><br>
Die Anzahl von Dokumenteintr&auml;gen pro Seite kann bestimmt werden
(Standardeinstellung: 10 Treffer).</li>
</ul>
<p>
Per Klick auf Schaltfl&auml;che <b>Suchen</b> wird die Liste gem&auml;&szlig;
eingestellter Parameter neu aufgebaut.
</p>
<p>
Als Ergebnis wird eine Kurzliste der gefundenen Dokumente angezeigt.
Per Klick auf das Plussymbol
<img src="pic3-button-plus.gif" align="middle" alt="">
vor dem Dokumenttitel k&ouml;nnen alle Dokumentattribute zum jeweiligen
Eintrag angezeigt werden.
</p>
<img src="pic3-vkc-bestseller.gif" width="760" height="472" border="1" 
alt="Bestseller">
<p>
Per Klick auf einen <b>Dateinamen</b> &ouml;ffnen Sie ein Fenster mit dem Dokumentinhalt.
Sollte Ihr Browser den Dateityp nicht darstellen oder die zugeh&ouml;rige Applikation
nicht starten k&ouml;nnen, so k&ouml;nnen Sie die Datei lokal speichern und bearbeiten.
</p>
<p>
Per Klick auf einen <b>Kategorienamen</b> wechseln Sie in die <b>Dokumentablage</b>,
und zwar in die Kategorie, in der das zugeh&ouml;rige Dokument publiziert wurde.
Bitte beachten Sie, dass bei Anwahl des Hyperlinks auf die Kategorie
standardm&auml;&szlig;ig der aktuelle Fensterinhalt &uuml;berschrieben wird.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3>
<a name="advsearch"></a>
Erweiterte Suche</h3>

<p>
Diese Funktion erm&ouml;glicht das gezielte Auffinden von Dokumenten
im VKC. Es wird die folgende Suchmaske geladen:
</p>
<p>
<img src="pic3-vkc-advsearch.gif" width="706" height="503" border="1" alt="Suchmaske">
</p>
<p>
Es gibt unterschiedliche Felder zur Eingabe von Suchstrings, je nachdem
wo danach gesucht werden soll. Die Volltextsuche untersucht den Dokumentinhalt,
w&auml;hrend sich die anderen Felder auf die Metadaten des Dokuments
beziehen. Werden in mehreren Feldern Suchbegriffe eingegeben werden sie
per UND verkn&uuml;pft.
N&auml;heres zur Formulierung der einzelnen Suchstrings bietet die
<a href="helpmod-searchstring.jsp">Hilfeseite "Syntax der Suchbegriffe"</a>.
</p>
<p>
Die Ergebnisliste kann dar&uuml;ber hinaus durch Vorgabe des <b>Publikationszeitraums</b>
und Auswahl eines <b>Dokumenttyps</b> eingeschr&auml;nkt werden.<br>
Au&szlig;erdem kann die Suche durch Angabe eines Kategoriepfads auf einen
Teilbaum der VKC-Struktur beschr&auml;nkt werden.
Dazu klickt man auf das Symbol
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">.
Es wird ein kleines Explorer-Fenster ge&ouml;ffnet, in dem man die Kategorie
ausw&auml;hlen kann.
</p>
<p>
F&uuml;r die Darstellung der Ergebnisliste kann die <b>Sortierung</b> bestimmt und
die <b>Trefferanzahl pro Seite</b> begrenzt werden.</p>

<p>
Die Suche wird mit einem Klick auf die Schaltfl&auml;che <b>Suchen</b> gestartet.
</p>

<p><a name="advsearch_results"></a>
<b>Ergebnisliste</b></p>

<p>
Wenn die Suche erfolgreich war, wird die erste Seite der Ergebnisliste
unterhalb der Suchmaske geladen.
Es werden im Kopf die Anzahl der <b>Treffer</b> und die <b>Suchdauer</b> angegeben,
sowie ein Mechanismus zum <b>Bl&auml;ttern</b> angezeigt.<br>
In der Liste werden die Dokumente in <b>Kurzdarstellung</b> aufgef&uuml;hrt,
in der auch das <b>Ranking</b> (&Uuml;bereinstimmung mit der Suchanfrage) ausgewiesen
wird.
Per Klick auf das Plussymbol
<img src="pic3-button-plus.gif" align="middle" alt="">
vor dem Dokumenttitel k&ouml;nnen alle Dokumentattribute zum jeweiligen
Eintrag angezeigt werden.
</p>
<p>
<img src="pic3-vkc-advsearch-result.gif" width="709" height="335" border="1" 
alt="Suchergebnis">
</p>
<p>
Per Klick auf einen <b>Dateinamen</b> &ouml;ffnen Sie ein Fenster mit dem Dokumentinhalt.
Sollte Ihr Browser den Dateityp nicht darstellen oder die zugeh&ouml;rige Applikation
nicht starten k&ouml;nnen, so k&ouml;nnen Sie die Datei lokal speichern und bearbeiten.
</p>
<p>
Per Klick auf einen <b>Kategorienamen</b> wechseln Sie in die <b>Dokumentablage</b>,
und zwar in die Kategorie, in der das zugeh&ouml;rige Dokument publiziert wurde.
Bitte beachten Sie, dass bei Anwahl des Hyperlinks auf die Kategorie
standardm&auml;&szlig;ig der aktuelle Fensterinhalt &uuml;berschrieben wird.
</p>
<p>
Wenn Sie auf die Schaltfl&auml;che <b>Suchanfrage registrieren</b> klicken,
so wird die eben ausgef&uuml;hrte Anfrage im VKC-Messenger gespeichert und
das <a href="#messenger">Messenger-Formular</a> ge&ouml;ffnet.
Wenn nun ein Dokument publiziert wird, das die Suchanfrage erf&uuml;llt,
erfolgt eine automatische Benachrichtigung (sofern Benachrichtigungen aktiviert sind).
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3>
<a name="messenger"></a>
Messenger</h3>

<p>
Diese Funktion l&auml;dt im Fenster die Benachrichtigungseinstellungen
des Benutzers.<br>
Wenn die Option <b>Benachrichtigung aktivieren</b> eingeschaltet ist,
wird der Benutzer per Email automatisch informiert:
</p>
<ul>
<li>wenn Dokumente in den <b>registrierten Kategorien</b>,</li>
<li>&auml;hnlich den <b>registrierten Dokumenten</b></li>
<li>oder entsprechend den <b>registrierten Suchanfragen</b>
publiziert werden.</li> 
</ul>
<p>
<img src="pic3-vkc-messenger.gif" border="1" alt="Messenger">
</p>
<p>
Das <b>Benachrichtigungsintervall</b> gibt an, in welchen Abst&auml;nden
Benachrichtigungen verschickt werden sollen. Bei Auswahl von "15&nbsp;Minuten"
findet alle 15&nbsp;Minuten eine &Uuml;berpr&uuml;fung statt.
W&auml;hlt man "1&nbsp;Tag", findet die Pr&uuml;fung alle 24&nbsp;Stunden statt, und
es wird maximal eine Email pro Tag verschickt.
</p>
<p>
&Auml;nderungen der Einstellungen werden erst beim Klick auf
<b>&Auml;nderungen speichern</b> wirksam.
</p>
<p>
Die <b>Registrierung</b> von Kategorien oder Dokumenten erfolgt
direkt in der Dokumentablage auf der jeweiligen Webseite.<br>
Siehe dazu <a href="helpmod-catfunctions.jsp#notify">
Hilfeseite&nbsp;"Seite&nbsp;registrieren"</a> oder
<a href="helpmod-docentry.jsp#notifydoc">
Hilfeseite&nbsp;"Dokument&nbsp;registrieren"</a>.
</p>
<p>
F&uuml;r Kategorien kann angegeben werden, ob die Registrierung auch f&uuml;r
alle <b>Unterordner</b> gelten soll.
F&uuml;r Dokumente kann eine Mindest&uuml;bereinstimmung als <b>Schwellenwert</b>
in Prozent vorgegeben werden.
</p>
<p>
Eine <b>Suchanfrage</b> kann nach Klick auf <b>Suchanfrage erstellen</b> eingegeben werden
oder direkt nach dem Ausf&uuml;hren einer <a href="#advsearch">erweiterten Suche</a>
gespeichert werden.
Per Klick auf den Knopf <b>Bearbeiten</b> kann eine registrierte Suchanfrage
abge&auml;ndert werden.
</p>
<p>
<b>Benutzerdefinierte Betreffs:</b><br>
Fr jede Registrierung kann bei Bedarf ein eigener
<b>Betreff f&uuml;r VKC-Benachrichtigungen</b>
eingetragen werden. Benachrichtigungen, die von einer solchen
Registrierung ausgelst wurden, werden immer als separate
Email verschickt, deren Betreffzeile mit dem eingetragenen Text
beginnt.
Entspricht ein neues Dokument mehreren Registrierungen gleichzeitig,
gilt f&uuml;r die Zuordnung eines Betreffs die Reihenfolge
1. Dokumentregistrierung, 2. Kategorieregistrierung,
3. Suchanfrage.
Benachrichtigungen, f&uuml;r die kein eigener Betreff
definiert ist, werden weiterhin in einer gemeinsamen Email
versandt.
</p>
<p>
Benachrichtigungen werden standardm&auml;&szlig;ig im HTML-Format aufbereitet.
Im pers&ouml;nlichen <a href="#profile">Profil</a> kann auf "plain text"
umgeschaltet werden.
</p>
<p>
<b>L&ouml;schen von registrierten Kategorien, Dokumenten oder Anfragen:</b><br>
Um einen Kategorie- oder Dokumenteintrag oder eine Suchanfrage
sp&auml;ter wieder zu l&ouml;schen,
w&auml;hlen Sie den Messenger an, deaktivieren den entsprechenden Eintrag
durch Klick in das K&auml;stchen davor und klicken auf
<b>&Auml;nderungen speichern</b>.
</p>
<p>
<img src="pic3-vkc-messenger-del.gif" border="1" alt="Messenger, Registrierung lschen">
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3>
<a name="profile"></a>
Profil</h3>

<p>
Jeder VKC-Nutzer hat ein <b>Benutzerprofil</b>
mit Daten zur Person, verschiedenen pers&ouml;nlichen Einstellungen
und Funktionen zum &Auml;ndern des Passworts,
sowie zur Disposition von Dokumenten mit abgelaufenem Verfallsdatum.
Die Funktion "Profil" zeigt die Profildaten an und erm&ouml;glicht deren
Bearbeitung.
</p>
<p>
<a href="helpmod-profile.jsp">zur Hilfeseite "Benutzerprofil"</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h3><a name="help"></a>
Hilfe</h3>

<p>
Die Funktion l&auml;dt diese Hilfeseite im aktuellen VKC-Browserfenster.
Sie k&ouml;nnen auch die &uuml;blichen Browser-Funktionen nutzen, um die
Hilfe z.&nbsp;B. in einem separaten Fenster zu &ouml;ffnen.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<!-- DOCUMENT STORAGE SECTION ******************************************* -->

<h3>
<a name="storage1"></a>
Dokumentablage</h3>

<p>
Hier werden die Funktionen der Dokumentablage
im Detail beschrieben.
</p>

<dl>
<dt><a href="#path">VKC-Pfad</a></dt>
<dt><a href="#navigator">Explorer</a></dt>
<dt><a href="#categories">Unterkategorien&nbsp;/&nbsp;Dokumentliste</a>
mit <a href="#functionlist">Funktionsauswahl</a></dt>
<dt><a href="#search">Einfache&nbsp;Suche</a></dt>
<dt><a href="#catfunctions">Funktionen f&uuml;r Kategorien</a></dt>
<dt><a href="#docsection">Dokumentbereich</a></dt>
</dl>

<!-- NAVIGATION TOPICS ************************************************** -->

<h4>
<a name="path"></a>
VKC-Pfad</h4>

<p>
<img src="pic3-vkc-path.gif" border="1" alt="VKC-Pfad">
</p>

<p>
Dieses Feld zeigt alle Kategorien an, die auf dem "Pfad"
von der VKC-Einstiegsseite zur gerade im Web-Browser
angezeigten VKC-Seite liegen.
Mit dem Symbol 
<img src="pic3-button-navigator.gif" alt="" border="0" align="middle">
vor dem Pfad steuert man den
<a href="#navigator">Explorer</a> an.
Mit einem Klick auf eine der Kategorien im Pfad springt
man direkt auf die zugeh&ouml;rige VKC-Seite, d. h. die
entsprechende Seite wird in den Browser geladen.
</p>
<p>
Au&szlig;erdem wird die Beschreibung der Kategorie angezeigt (falls vorhanden).
Dynamische Attribute werden in diesen Abschnitt aufgenommen,
sofern sie beim Anlegen oder Bearbeiten der Kategorie definiert
wurden. 
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="navigator"></a>
Explorer</h4>

<p>
<img src="pic3-vkc-navigator-open.gif" border="1" alt="Explorer ffnen">
</p>
<p>
Diese Funktion &ouml;ffnet im linken Teil des Browserfensters
den <b>VKC-Explorer</b>.
Er zeigt die Kategorieenstruktur des VKC an
und erg&auml;nzt die Navigationsfunktionen der &uuml;blichen
VKC-Seiten.
Er ist besonders n&uuml;tzlich f&uuml;r tief verschachtelte
VKC-Strukturen, &uuml;ber die man im Explorer schnell einen
&Uuml;berblick gewinnen kann.
Dabei funktioniert der Explorer &auml;hnlich wie ein Dateisystem-Browser.
</p>
<p>
<img src="pic3-vkc-navigator.gif" width="794" height="264" border="1" 
alt="VKC-Explorer">
</p>
<p>
Die Kategorienamen im Explorer sind Hyperlinks.
Beim Klick auf einen Kategorienamen
wird diese Kategorie im rechten Teil des Fensters geladen.
Wechseln Sie in der Dokumentablage in eine andere Kategorie, so
wird der Explorer ebenfalls aktualisiert.
</p>
<p>
<img src="pic3-vkc-navigator-plus.gif" alt="" border="1" hspace="5" align="left">
Einzelne Kategorien lassen sich expandieren, indem man auf
das Pluszeichen vor dem Ordner-Symbol klickt.
</p><p>
<img src="pic3-vkc-navigator-minus.gif" alt="" border="1" hspace="5" align="left">
Ein Klick auf das Minuszeichen kehrt den Vorgang um.
</p>
<p>
<img src="pic3-vkc-navigator-denied.gif" alt="" border="1" hspace="5" align="left">
Durchkreuzte Kategorien erlauben keinen Zugriff f&uuml;r den angemeldeten
Benutzer.
<br clear=all>
</p>
<p>
Wollen Sie in eine VKC-Darstellung <b>ohne Explorer</b> zur&uuml;ckkehren,
so klicken Sie auf das rote X rechts oben im Explorer:
</p>
<p>
<img src="pic3-vkc-navigator-close.gif" border="1" alt="Explorer schlieen">
</p>

<p>
Falls der Explorer direkt nach dem Login whrend der gesamten Sitzung eingeblendet
sein soll, so k&ouml;nnen Sie die Option <b>Explorer Fenster anzeigen</b> in Ihrem
<a href="#profile">Benutzerprofil</a> einschalten.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="categories"></a>
Unterkategorien / Dokumentliste</h4>

<p>
In diesem Bereich werden ein Link zur <b>&uuml;bergeordneten Kategorie</b>
und Links zu allen direkt <b>untergeordneten Kategorien</b> angezeigt.
Nur auf der VKC-Einstiegsseite gibt es keine &uuml;bergeordnete Kategorie,
da es sich um die Wurzel der gesamten Struktur handelt.
Ein Klick auf einen der Eintr&auml;ge in der Liste bringt Sie direkt
auf die zugeh&ouml;rige VKC-Seite.
</p>
<p>
<img src="pic3-vkc-categories.gif" border="1"
alt="Unterkategorien und Dokumente">
</p>

<p>F&uuml;r Kategorien werden folgende <b>Ordnersymbole</b> verwendet:

<table cellspacing="5">
<tr valign="top">
       <td><img src="pic3-button-folder-empty.gif" alt=""></td>
       <td>Ordner ohne Dokumente</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder.gif" alt=""></td>
       <td>Ordner mit Dokumenten, ohne Query f&uuml;r virtuelle Dokumente</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-with-virtual-docs.gif" alt=""></td>
       <td>Ordner mit Query f&uuml;r virtuelle Dokumente</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-projects-root.gif" alt=""></td>
       <td>Startkategorie f&uuml;r Projekte</td>
</tr>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-templates-root.gif" alt=""></td>
       <td>Startkategorie f&uuml;r Projektvorlagen</td>
</tr>
<tr valign="top">
       <td><img src="pic3-button-folder-views-root.gif" alt=""></td>
       <td>Startkategorie f&uuml;r Funktionssichten</td>
</tr>
</table>


Unter den Kategorienamen, die an den Ordnersymbolen zu erkennen sind,
folgt die Liste der <b>Titel aller Dokumente</b>, die zu dieser Kategorie
geh&ouml;ren (an den Dokumentsymbolen zu erkennen).
Auch diese Dokumenttitel sind Hyperlinks, die auf die zugeh&ouml;rigen
Dokumenteintr&auml;ge weiter unten auf der Seite f&uuml;hren.
Eine ausf&uuml;hrliche Beschreibung dazu bietet die
<a href="helpmod-docentry.jsp">Hilfeseite "Dokumenteintrag"</a>. 
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="functionlist"></a>
Funktionsauswahl</h4>

<p>
Die Liste der Unterkategorien und Dokumente kann direkt genutzt
werden, um <b>Kategorien oder Dokumente zu kopieren, zu lschen,
auszuschneiden oder einzuf&uuml;gen</b>.
Dazu markiert man die gew&uuml;nschten Kategorien oder Dokumente
durch Klick in den Kasten vor dem Namen, w&auml;hlt in der Funktionsliste
die passende Funktion und klickt auf <b>Ausf&uuml;hren</b>.
</p>
<p>
<img src="pic3-vkc-functionlist.gif" border="1" alt="Funktionsauswahl">
</p>
<p>
In der Liste werden jeweils nur die Funktionen angeboten, die
den <b>Zugriffsrechten</b> des Benutzers entsprechen.
Das Kopieren erfordert Leserechte, alle anderen Funktionen zus&auml;tzlich
Schreibrechte in der Kategorie.
Sollen Kategorien oder Dokumente ausgeschnitten oder gel&ouml;scht werden,
so muss der Benutzer auch das Recht zum L&ouml;schen besitzen.
</p>
<p>
Die Funktionen "Kopieren" und "Ausschneiden" kopieren die selektierten
Objekte in einen <b>Zwischenspeicher</b> ("Clipboard").
Die Funktion "Einf&uuml;gen" f&uuml;gt die Objekte vom Zwischenspeicher
in die aktuelle Kategorie ein. Ausgeschnittene Objekte werden dabei
gleichzeitig aus ihrer urspr&uuml;nglichen Kategorie gel&ouml;scht.
</p>
<p>
Bitte beachten:
Beim Kopieren eines Dokuments mit mehreren Versionen wird nur jeweils
die neuste (aktuelle) Version des Dokuments kopiert.
</p>
<p>
Versehentlich gel&ouml;schte Dokumente oder Kategorien k&ouml;nnen innerhalb eines
vom Administrator bestimmten Zeitraumes unter Angabe des L&ouml;schdatums
und der Benutzerkennung rekonstruiert werden.
</p>
<p>
Auf <b>virtuelle Dokumente</b> k&ouml;nnen die Clipboard-Funktionen nicht
angewandt werden, da virtuelle Dokumente Verweise auf Dokumenteintr&auml;ge
in anderen VKC-Kategorien sind.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h4>
<a name="search"></a>
Einfache Suche</h4>

<p>
VKC bietet zwei einfache Suchfunktionen:
Suche nach
<a href="#docsearch">Dokumenten</a>
oder nach
<a href="#catsearch">Kategorien</a>.
</p><p>
Standardm&auml;&szlig;ig ist die Dokumentensuche voreingestellt,
erkennbar am Dokumentensymbol
<img src="pic3-button-search-doc.gif" border="0" alt="Dokumentensuche">.
</p><p>
Per Klick auf das Symbol wird auf die Kategoriensuche umgeschaltet,
erkennbar am Ordnersymbol
<img src="pic3-button-search-cat.gif" border="0" alt="Kategoriensuche">.
</p>

<p>
<a name="docsearch"></a>
<b>Einfache Dokumentensuche</b></p>

<p>
<img src="pic3-vkc-search-doc.gif" border="1" alt="Einfache Dokumentensuche">
</p>
<p>
In dieses Formular geben Sie einen String f&uuml;r eine einfache, index-basierte
Suche ein. Sind im String mehrere W&ouml;rter angegeben, so werden Dokumente
gefunden, die mindestens eines davon enthalten (logisches ODER).
Als Wildcards d&uuml;rfen der Stern '*' (beliebige Zeichenkette) und
das Fragezeichen '?' (ein beliebiges Zeichen) verwendet werden.
Sollen die Sonderzeichen selbst im Namen vorkommen, muss ihnen ein
r&uuml;ckw&auml;rts gerichteter Schr&auml;gstrich '\' vorangestellt werden.
Die Suche wird gestartet, wenn Sie auf <b>Suchen</b> klicken.
</p>
<p>
Es wird standardm&auml;&szlig;ig das gesamte VKC durchsucht.
Wenn Sie aber den Schalter <b>ab hier suchen</b> aktivieren,
werden nur die aktuelle Kategorie und deren Unterkategorien durchsucht.
</p>
<p>
Die Ergebnisse werden in einem Formular der erweiterten Suche dargestellt,
in dem man auch die Suche verfeinern oder neu formulieren kann.
Details siehe <a href="#advsearch">Erweiterte Suche</a> ...
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<p>
<a name="catsearch"></a>
<b>Kategoriensuche</b></p>

<p>
<img src="pic3-vkc-search-cat.gif" border="1" alt="Kategoriensuche">
</p>
<p>
Hier geben Sie einen String f&uuml;r eine einfache
Suche nach Kategorienamen ein.
Als Wildcards d&uuml;rfen der Stern '*' (beliebige Zeichenkette) und
das Fragezeichen '?' (ein beliebiges Zeichen) verwendet werden.
Sollen die Sonderzeichen selbst im Namen vorkommen, muss ihnen ein
r&uuml;ckw&auml;rts gerichteter Schr&auml;gstrich '\' vorangestellt werden.
Die Suche wird gestartet, wenn Sie auf <b>Suchen</b> klicken.
</p>
<p>
Es wird standardm&auml;&szlig;ig das gesamte VKC durchsucht.
Wenn Sie aber den Schalter <b>ab hier suchen</b> aktivieren,
werden nur die aktuelle Kategorie und deren Unterkategorien durchsucht.
</p>
<p>
Die Ergebnisliste wird in einem separaten Fenster ge&ouml;ffnet.
Zu jedem Kategorienamen werden auch die Beschreibung und die
Schl&uuml;sselw&ouml;rter angezeigt, sofern sie vom Eigent&uuml;mer
eingegeben wurden.
Per Klick auf einen Kategoriepfad in der Ergebnisliste
wird die zugeh&ouml;rige Kategorieansicht im Hauptfenster geladen.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<!-- FUNKTIONEN FR KATEGORIEN -->

<h4>
<a name="catfunctions"></a>
Funktionen f&uuml;r Kategorien</h4>

<p>
Kategoriefunktionen werden rechts oben auf der Webseite der Kagegorie angeboten.
Dabei werden nur die Funktionen angezeigt, f&uuml;r deren Ausf&uuml;hrung
der angemeldete Benutzer die erforderlichen Zugriffsrechte besitzt.
</p>
<p>
Klicken Sie im Bild auf die entsprechende Funktion, um zu ihrer ausf&uuml;hrlichen
Beschreibung zu gelangen, oder gehen Sie direkt
<a href="helpmod-catfunctions.jsp">zur Hilfeseite "Kategoriefunktionen"</a>.
Zur R&uuml;ckkehr auf diese Hilfeseite benutzen Sie von dort am besten die
<b>Back</b>-Funktion Ihres Browsers.
</p>

<map name="categoryfunctions">

<area title="Kategorielink als URL" shape=rect coords="99,88,116,107" href="helpmod-catfunctions.jsp#caturl">
<area title="Kategorielink als URL" shape=rect coords="6,58,128,82" href="helpmod-catfunctions.jsp#caturl">
<area title="Seite aktualisieren" shape=rect coords="130,88,146,107" href="helpmod-catfunctions.jsp#reloadcat">
<area title="Seite aktualisieren" shape=rect coords="35,42,140,54" href="helpmod-catfunctions.jsp#reloadcat">
<area title="zur Startkategorie" shape=rect coords="150,88,166,107" href="helpmod-catfunctions.jsp#gohome">
<area title="zur Startkategorie" shape=rect coords="24,26,162,39" href="helpmod-catfunctions.jsp#gohome">
<area title="Startkategorie setzen" shape=rect coords="170,88,188,107" href="helpmod-catfunctions.jsp#sethome">
<area title="Startkategorie setzen" shape=rect coords="5,8,213,23" href="helpmod-catfunctions.jsp#sethome">
<area title="Komplettansicht" shape=rect coords="197,88,215,107" href="helpmod-catfunctions.jsp#fullview">
<area title="Komplettansicht" shape=rect coords="52,123,212,149" href="helpmod-catfunctions.jsp#fullview">
<area title="Kurzansicht" shape=rect coords="219,88,236,107" href="helpmod-catfunctions.jsp#shortview">
<area title="Kurzansicht" shape=rect coords="74,155,234,181" href="helpmod-catfunctions.jsp#shortview">
<area title="Anzahl Kategorien/Dokumente" shape=rect coords="241,88,260,107" href="helpmod-catfunctions.jsp#countcatdoc">
<area title="Anzahl Kategorien/Dokumente" shape=rect coords="106,187,253,214" href="helpmod-catfunctions.jsp#countcatdoc">
<area title="Kategorie archivieren" shape=rect coords="262,88,282,107" href="helpmod-catfunctions.jsp#archivecat">
<area title="Kategorie archivieren" shape=rect coords="126,219,278,245" href="helpmod-catfunctions.jsp#archivecat">
<area title="Dokumente clustern" shape=rect coords="279,88,298,107" href="helpmod-catfunctions.jsp#clustering">
<area title="Dokumente clustern" shape=rect coords="291,233,499,246" href="helpmod-catfunctions.jsp#clustering">
<area title="Dokument einfgen" shape=rect coords="305,88,323,107" href="helpmod-catfunctions.jsp#insert">
<area title="Dokument einfgen" shape=rect coords="310,217,475,232" href="helpmod-catfunctions.jsp#insert">
<area title="Einfgen aus Clipboard" shape=rect coords="328,88,348,107" href="helpmod-catfunctions.jsp#paste">
<area title="Einfgen aus Clipboard" shape=rect coords="333,186,466,200" href="helpmod-catfunctions.jsp#paste">
<area title="Neue Kategorie" shape=rect coords="350,88,370,107" href="helpmod-catfunctions.jsp#createcat">
<area title="Neue Kategorie" shape=rect coords="353,154,490,168" href="helpmod-catfunctions.jsp#createcat">
<area title="Kategorie bearbeiten" shape=rect coords="375,88,397,107" href="helpmod-catfunctions.jsp#editcat">
<area title="Kategorie bearbeiten" shape=rect coords="376,123,535,149" href="helpmod-catfunctions.jsp#editcat">
<area title="Kategorie lschen" shape=rect coords="401,88,418,107" href="helpmod-catfunctions.jsp#deletecat">
<area title="Kategorie lschen" shape=rect coords="397,11,501,24" href="helpmod-catfunctions.jsp#deletecat">
<area title="Zugriffsrechte" shape=rect coords="427,88,446,107" href="helpmod-catfunctions.jsp#permissioncat">
<area title="Zugriffsrechte" shape=rect coords="425,28,565,42" href="helpmod-catfunctions.jsp#permissioncat">
<area title="Seite registrieren" shape=rect coords="448,88,467,107" href="helpmod-catfunctions.jsp#notify">
<area title="Seite registrieren" shape=rect coords="448,43,544,55" href="helpmod-catfunctions.jsp#notify">
<area title="zu Favoriten hinzufgen" shape=rect coords="469,88,488,107" href="helpmod-catfunctions.jsp#addfavcat">
<area title="zu Favoriten hinzufgen" shape=rect coords="469,58,593,85" href="helpmod-catfunctions.jsp#addfavcat">
</map>

<p>
<img src="pic3-vkc-catfunctions.gif" usemap="#categoryfunctions"
border="1" alt="Kategoriefunktionen, anklickbar">
</p>


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<!-- PUBLISHED DOCUMENTS TOPICS ****************************************** -->

<h4>
<a name="docsection"></a>
Dokumentbereich</h4>

<p>Im Dokumentbereich einer VKC-Webseite
finden Sie zu jedem publizierten Dokument einen Eintrag mit
beschreibenden Informationen, sowie innerhalb des Eintrags
Hyperlinks und Funktionssymbole, die sich auf das jeweilige
Dokument beziehen.
</p>
<p>
<img src="pic3-vkc-docsection.gif" width="649" height="283" border="1"
alt="Dokumentenbereich">
</p>
<p>
<img src="pic3-vkc-docentrysort.gif" width="366" height="179" border="1" 
alt="Dokumente sortieren" align="right">
Die Dokumenteintr&auml;ge einer VKC-Kategorie werden standardm&auml;&szlig;ig
mit absteigendem Publikationsdatum gelistet, d.&nbsp;h. das neuste Dokument
steht oben in der Liste. W&uuml;nschen Sie eine andere Sortierreihenfolge, so
bietet die Auswahlliste <b>Dokumente sortieren</b> rechts oberhalb
der Dokumenteintr&auml;ge eine Anzahl alternativer Sortierkriterien
wahlweise in auf- oder absteigender Reihenfolge.
Per Klick auf die gew&uuml;nschte Auswahl veranlassen Sie, dass die Eintr&auml;ge
neu sortiert und die Liste neu geladen wird.
<br clear=all>
</p>

<p>
Im Dokumentbereich wird unterschieden zwischen publizierten und
virtuellen Dokumenten:
</p>
<p>
<b>Publizierte Dokumente</b> wurden in der Kategorie per Funktion
"Dokument einf&uuml;gen"
<img src="pic3-button-newdocument.gif" align="middle" alt="">
ver&ouml;ffentlicht.
(N&auml;heres dazu siehe
<a href="helpmod-catfunctions.jsp#insert">Hilfeseite "Dokument einf&uuml;gen"</a>.)
</p>
<p>
<b>Virtuelle Dokumente</b> sind Dokumenteintr&auml;ge, die als Ergebnis einer
Suchabfrage dynamisch bei Anwahl der Kategorie erzeugt wurden.
Sie verweisen auf Dokumente, die in anderen Kategorien publiziert wurden und
dem angemeldeten Benutzer mindestens Leserecht gew&auml;hren.
Eine solche Suchanfrage kann von berechtigten Benutzern &uuml;ber die Funktion
"Eigenschaften der Kategorie bearbeiten"
<img src="pic3-button-editcat.gif" align="middle" alt="">
mit einer Kategorie verkn&uuml;pft werden.
(N&auml;heres dazu siehe
<a href="helpmod-catfunctions.jsp#editcat">Hilfeseite "Kategorie bearbeiten"</a>.)
Auf virtuelle Dokumente wird in der Dokumentsicht nur lesend zugegriffen.
</p>

<p>
Der Aufbau von <b>Dokumenteintr&auml;gen</b> ist ausf&uuml;hrlich beschrieben auf der
<a href="helpmod-docentry.jsp">Hilfeseite "Dokumenteintrag"</a>.<br>
Zur R&uuml;ckkehr von dort benutzen Sie am besten die
<b>Back</b>-Funktion Ihres Browsers.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<img src="vkc-versioninfo.gif" alt="Versionsinformation" border="0">

</body>
</html:html>