<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" prefix="html"%>
<%@ taglib uri="struts-bean" prefix="bean"%>
<%@ taglib uri="vkc-taglib"  prefix="vkc" %>

<html:html locale="true">
<head>
  <vkc:init/>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <meta http-equiv="expires" content="0">
  <meta name="description" content="Hilfe zum VKC: Kategoriefunktionen">

  <vkc:cssinclude />

  <title><vkc:message key="vkc" /></title>
  <script type="text/javascript" src="<vkc:rewrite page='/common/utils.js'/>"></script>

  <script type="text/javascript">

  window.name = "MAINVIEW";

  function init() {
  }
  
  function confirmation(){
    return confirm('<vkc:message javascript="true" filter="false" key="vkc.string.confirmation"/>');
  }
  
  </script>
</head>

<!-- DEUTSCHE VERSION ************************************************** -->

<!-- Version 31-Jul-2007 VKC 4.0 + -->
<!-- Classic Darstellungsformat -->

<body onload="init();">
<a name="top"></a>

<h2>
<a name="catfunctions"></a>
VKC-Hilfe: Funktionen f&uuml;r Kategorien</h2>

<p>
Die hier aufgef&uuml;hrten Funktionen werden nur dann auf der
VKC-Seite angeboten, wenn der Benutzer auch die erforderlichen
Zugriffsrechte besitzt.
Sie werden rechts oben auf der Webseite der Kagegorie angeboten.
Klicken Sie auf die entsprechende Funktion, um zur Beschreibung zu gelangen.
</p>

<map name="categoryfunctions">
<area title="Kategorielink als URL" shape=rect coords="99,88,116,107" href="#caturl">
<area title="Kategorielink als URL" shape=rect coords="6,58,128,82" href="#caturl">
<area title="Seite aktualisieren" shape=rect coords="130,88,146,107" href="#reloadcat">
<area title="Seite aktualisieren" shape=rect coords="35,42,140,54" href="#reloadcat">
<area title="zur Startkategorie" shape=rect coords="150,88,166,107" href="#gohome">
<area title="zur Startkategorie" shape=rect coords="24,26,162,39" href="#gohome">
<area title="Startkategorie setzen" shape=rect coords="170,88,188,107" href="#sethome">
<area title="Startkategorie setzen" shape=rect coords="5,8,213,23" href="#sethome">
<area title="Komplettansicht" shape=rect coords="197,88,215,107" href="#fullview">
<area title="Komplettansicht" shape=rect coords="52,123,212,149" href="#fullview">
<area title="Kurzansicht" shape=rect coords="219,88,236,107" href="#shortview">
<area title="Kurzansicht" shape=rect coords="74,155,234,181" href="#shortview">
<area title="Anzahl Kategorien/Dokumente" shape=rect coords="241,88,260,107" href="#countcatdoc">
<area title="Anzahl Kategorien/Dokumente" shape=rect coords="106,187,253,214" href="#countcatdoc">
<area title="Kategorie archivieren" shape=rect coords="262,88,282,107" href="#archivecat">
<area title="Kategorie archivieren" shape=rect coords="126,219,278,245" href="#archivecat">
<area title="Dokumente clustern" shape=rect coords="279,88,298,107" href="#clustering">
<area title="Dokumente clustern" shape=rect coords="291,233,499,246" href="#clustering">
<area title="Dokument einfgen" shape=rect coords="305,88,323,107" href="#insert">
<area title="Dokument einfgen" shape=rect coords="310,217,475,232" href="#insert">
<area title="Einfgen aus Clipboard" shape=rect coords="328,88,348,107" href="#paste">
<area title="Einfugen aus Clipboard" shape=rect coords="333,186,466,200" href="#paste">
<area title="Neue Kategorie" shape=rect coords="350,88,370,107" href="#createcat">
<area title="Neue Kategorie" shape=rect coords="353,154,490,168" href="#createcat">
<area title="Kategorie bearbeiten" shape=rect coords="375,88,397,107" href="#editcat">
<area title="Kategorie bearbeiten" shape=rect coords="376,123,535,149" href="#editcat">
<area title="Kategorie lschen" shape=rect coords="401,88,418,107" href="#deletecat">
<area title="Kategorie lschen" shape=rect coords="397,11,501,24" href="#deletecat">
<area title="Zugriffsrechte" shape=rect coords="427,88,446,107" href="#permissioncat">
<area title="Zugriffsrechte" shape=rect coords="425,28,565,42" href="#permissioncat">
<area title="Seite registrieren" shape=rect coords="448,88,467,107" href="#notify">
<area title="Seite registrieren" shape=rect coords="448,43,544,55" href="#notify">
<area title="zu Favoriten hinzufgen" shape=rect coords="469,88,488,107" href="#addfavcat">
<area title="zu Favoriten hinzufgen" shape=rect coords="469,58,593,85" href="#addfavcat">
</map>

<p>
<img src="pic3-vkc-catfunctions.gif" usemap="#categoryfunctions"
border="1" alt="Kategoriefunktionen, anklickbar">
</p>

<h4>
<a name="caturl"></a>
Kategorielink als URL darstellen&nbsp;&nbsp;
<img src="pic3-button-document-url.gif" align="middle" alt="">
</h4>

<p>
Beim Klick auf dieses Funktionssymbol wird ein kleines Fenster ge&ouml;ffnet,
in dem <b>Webpfade</b> der aktuellen Kategorie als URL dargestellt sind.
Per copy/paste kann man diese Pfade z. B. in ein Dokument oder in einen
Email-Text &uuml;bernehmen.
</p>
<p>
Es werden zwei Pfade angezeigt, und zwar wahlweise f&uuml;r den Zugriff per
<b>Benutzer-Login</b> oder per <b>Gast-Login</b>.
F&uuml;r den Gast-Zugang wird keine VKC-Benutzerkennung ben&ouml;tigt,
jedoch erlaubt er nur den Zugriff auf Kategorien, die fr "jeden" lesbar sind.
F&uuml;r Kategorien mit eingeschr&auml;nktem Zugriff ist nur der Zugang
per Benutzer-Login m&ouml;glich. Hat der angemeldete Benutzer keine Leserechte,
so wird er per Fehlermeldung darauf hingewiesen.
</p>
<p>
<img src="pic3-vkc-showcatlink.gif" width="761" height="138" border="1" 
alt="Kategorie-URL">
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="reloadcat"></a>
Seite aktualisieren&nbsp;&nbsp;
<img src="pic3-button-refresh.gif" align="middle" alt="">
</h4>

<p>
Nach Klick auf dieses Funktionssymbol wird die aktuelle Kategorieseite neu geladen.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="gohome"></a>
Zur Startkategorie gehen&nbsp;&nbsp;
<img src="pic3-button-home.gif" align="middle" alt="">
</h4>

<p>
Per Klick auf dieses Funktionssymbol wechseln Sie in Ihre pers&ouml;nliche
VKC-Startkategorie, die Sie mit der Funktion
<a href="#sethome">Kategorie als Startkategorie festlegen</a>
gesetzt haben.
Falls Sie keine individuelle Startkategorie definiert haben, wird
das oberste VKC-Verzeichnis ("VKC-Root") geladen.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="sethome"></a>
Kategorie als Startkategorie festlegen&nbsp;&nbsp;
<img src="pic3-button-registerhomecat.gif" align="middle" alt="">
</h4>

<p>
Per Klick auf dieses Funktionssymbol legen Sie die aktuell angezeigte Kategorie
als <b>pers&ouml;nliche Startkategorie</b> in ihrem Profil fest. Nach dem Login wird
dann k&uuml;nftig diese Kategorie geladen. Au&szlig;erdem k&ouml;nnen Sie die
Funktion <a href="#gohome">zur Startkategorie gehen</a> benutzen,
um von jedem Verzeichnis aus in die Startkategorie zu wechseln.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="fullview"></a>
Alle Eigenschaften f&uuml;r alle Dokumente anzeigen&nbsp;&nbsp;
<img src="pic3-button-documents-fullview.gif" align="middle" alt="">
</h4>

<p>
Mit dieser Funktion schalten Sie f&uuml;r alle Dokumenteintr&auml;ge dieser
Kategorie die <b>Komplettansicht</b> ein, in der alle Dokumentattribute gezeigt werden.
Eine ausf&uuml;hrliche Beschreibung der Dokumenteintr&auml;ge bietet die
<a href="helpmod-docentry.jsp">Hilfeseite "Dokumenteintrag"</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="shortview"></a>
Individuelle Eigenschaften f&uuml;r alle Dokumente anzeigen&nbsp;&nbsp;
<img src="pic3-button-category-individualview.gif" align="middle" alt="">
</h4>

<p>
Per Klick auf dieses Funktionssymbol schalten Sie alle Dokumenteintr&auml;ge
dieser Seite auf die <b>Kurzdarstellung</b>, in der nur ausgew&auml;hlte Dokumentattribute
angezeigt werden. Die Auswahl der Attribute f&uuml;r diese Ansicht k&ouml;nnen
Sie in Ihrem <b>Profil</b> individuell festlegen. N&auml;heres dazu siehe
<a href="helpmod-profile.jsp">Hilfeseite "Benutzerprofil"</a>, Funktion "Dokumentsicht anpassen".<br>
Eine ausf&uuml;hrliche Beschreibung der Dokumenteintr&auml;ge bietet die
<a href="helpmod-docentry.jsp">Hilfeseite "Dokumenteintrag"</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="countcatdoc"></a>
Anzahl Unterkategorien und Dokumente ermitteln&nbsp;&nbsp;
<img src="pic3-button-count-cats-docs.gif" align="middle" alt="">
</h4>

<p>
Beim Klick auf dieses Funktionssymbol werden f&uuml;r die aktuelle Kategorie
und ihre direkten Unterkategorien die Unterkategorien und darin enthaltenen
Dokumente gez&auml;hlt und der belegte Speicherplatz ermittelt.
Die Ergebnisse werden hinter den Kategorienamen angezeigt.
Nach <a href="#reloadcat">Aktualisieren</a> der Seite oder
Wechsel in eine andere Kategorie werden diese Informationen nicht mehr angezeigt.
</p>
<p>
<img src="pic3-vkc-countcatdoc.gif" width="401" height="184" border="1"
alt="Anzahl Unterkategorien/Dokumente">
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="archivecat"></a>
Kategorie archivieren&nbsp;&nbsp;
<img src="pic3-button-zip.gif" align="middle" alt="">
</h4>

<p>
Diese Funktion dient zum Erzeugen eines ZIP-Archivs der aktuellen Kategorie
und ist prim&auml;r f&uuml;r Administrationszwecke gedacht.
Aus dem Archiv kann man im Filesystem eine Verzeichnisstruktur analog
zu den VKC-Kategorien aufbauen mit den publizierten Dokumenten als Dateien.
Es handelt sich also um eine Art "Export"-Funktion.
Das Archiv ist nicht unmmittelbar zur R&uuml;cklagerung in ein VKC geeignet.
</p>
<p>
Beim Klick auf das Funktionssymbol wird ein Formular geladen, in dem Parameter
f&uuml;r die Archivierung erfasst werden. 
</p>
<img src="pic3-vkc-makezip.gif" width="415" height="206" border="1" alt="Archivdialog">
<p>
Sie k&ouml;nnen bestimmen, ob <b>Unterkategorien</b>, alle <b>Dokumentversionen</b> und
<b>virtuelle Dokumente</b> mit archiviert werden sollen.
Au&szlig;erdem k&ouml;nnen Sie die <b>Sprache</b> f&uuml;r den Dialog im ZIP-Archiv
ausw&auml;hlen. Es wird Ihnen das <b>Verzeichnis</b> angegeben, in dem das Archiv
auf dem Server abgelegt wird.
Wenn Sie auf <b>Archiv erzeugen</b> klicken, wird das Archiv erstellt.
Klicken Sie stattdessen auf <b>Abbrechen</b>, so kehren Sie ohne Archivierung in
die Dokumentablage zur&uuml;ck.
Nach erfolgter Archivierung erhalten Sie eine Best&auml;tigung.
Den Hyperlink auf den Archivdateinamen k&ouml;nnen Sie nutzen, um
das Archiv per Browserfunktion auf den lokalen Rechner herunterzuladen.
</p>
<img src="pic3-vkc-makezip-done.gif"  border="1" alt="Archivierungsmeldung">
<p>
Per Klick auf <b>Zur&uuml;ck zur Dokumentablage</b> kehren Sie in die Dokumentsicht
zur&uuml;ck.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<h4>
<a name="clustering"></a>
Dokumente dieser Kategorie clustern&nbsp;&nbsp;
<img src="pic3-button-clustern.gif" align="middle" alt="Dokumente clustern">
</h4>

<p>
Diese Funktion dient dazu, eine gr&ouml;&szlig;ere Menge von Dokumenten,
die "flach" in einer gemeinsamen VKC-Kategorie liegen,
nach inhaltlicher Analyse auf eine hierarchische Struktur von neuen
Unterkategorien (thematische "Cluster") zu verteilen.
VKC erzeugt dazu einen Strukturvorschlag, der vom Benutzer noch
&uuml;berarbeitet werden kann, bevor die Struktur im VKC angelegt wird.
</p>
<p>
Ber&uuml;cksichtigt werden dabei alle Dokumente direkt in der aktuellen
Kategorie, die sich im VKC automatisch analysieren lassen,
d. h. alle Dokumente von denen nach dem Publizieren eine g&uuml;ltige
ASCII-Repr&auml;sentation neben dem Originalformat vorliegt.
Bereits existierende Unterkategorien der aktuellen Kategorie bleiben
unverndert bestehen.
</p>
<p>
Im folgenden kleinen Beispiel sollen aus zehn Dokumenten inhaltliche
"Cluster" gebildet werden:
</p>
<img src="pic3-vkc-clustering.gif" border="1" alt="Aufruf Clustering">
<p>
<b>Clusteroptionen ausw&auml;hlen</b>
</p>
<p>
Per Klick auf das Symbol
<img src="pic3-button-clustern.gif" align="middle" alt="Dokumente clustern">
wird zuerst ein Formular f&uuml;r die Einstellung der Clusteroptionen
geladen:
</p>
<img src="pic3-vkc-clustering-options.gif" border="1" 
alt="Formular: Clusteroptionen">
<p>
Die Voreinstellungen sind so gew&auml;hlt, dass sie in der Regel die
besten Ergebnisse liefern.
<br>
Bei Bedarf k&ouml;nnen Sie folgende abweichende Einstellungen w&auml;hlen:
</p>
<p>
Beim Verfahren <b>Complete Link</b> wird die Struktur flacher und
bekommt eher kleinere Cluster.<br>
Bei Anwahl der Option <b>schnell</b> werden die Dokumente nicht
in voller L&auml;nge in den Clustering-Prozess einbezogen.
So kann man schneller einen &Uuml;berblick gewinnen.<br>
Sollen <b>nur benannte Cluster erzeugt</b> werden, f&uuml;hrt das dazu,
dass der Clustering-Prozess fr&uuml;her beendet wird, sodass eine flachere
Hierarchie entsteht.
</p>
<p>
Per Klick auf <b>Clustern</b> starten Sie die Generierung eines
Strukturvorschlags.<br>
Per Klick auf <b>Abbrechen</b> kehren Sie ohne weitere Aktionen
in die Kategoriesicht zur&uuml;ck.
</p>
<p>
Der generierte Strukturvorschlag wird in einem wie folgt
unterteilten Fenster dargestellt:
</p>
<img src="pic3-vkc-clustering-window1.gif" border="1"
alt="Clustering: Fensteraufteilung">
<p>
<b>Strukturvorschlag pr&uuml;fen</b>
</p>
<p>
Mit Hilfe dieser Unterfenster k&ouml;nnen Sie den Strukturvorschlag
pr&uuml;fen und &uuml;berarbeiten.
</p>
<p>
Auf der linken Seite befindet sich:
</p>
<ul>
<li>
<p>
der <b>Strukturbrowser</b>,<br>
in dem die vorgeschlagene Unterstruktur mit den zugeordneten
Dokumenten untersucht und angepasst werden kann.
</p>
<p>
Wie im VKC-Explorer kann die Strukturdarstellung per Klick
auf die Symbole
<img src="pic3-button-plusdots.gif" alt=""  align="middle">
und
<img src="pic3-button-minusdots.gif" alt=""  align="middle">
expandiert oder kontrahiert werden.<br>
Beim Expandieren werden die untergeordneten Kategorien
(Ordnersymbol
<img src="pic3-button-folder.gif" alt=""  align="middle">)
oder Dokumente
(Dokumentsymbol
<img src="pic3-button-document.gif" alt=""  align="middle">)
angezeigt.<br>
Klickt man auf die Bezeichnung neben dem Ordner- oder Dokumentsymbol,
so werden die passenden Metadaten in der rechten Fensterh&auml;lfte
angezeigt.
</p>
<img src="pic3-vkc-clustering-window2.gif" border="1"
alt="Clustering: Strukturbrowser, Dokumente, Kategorien">
<p>
<b>Kategorien &uuml;bernehmen oder verwerfen:</b><br>
Hinter dem Ordnersymbol befindet sich ein Markierungsfeld und daneben
die Anzahl aller unterhalb der Kategorie liegenden Dokumente.
Ist der Haken im Markierungsfeld gesetzt, so soll die Kategorie in
die sp&auml;tere VKC-Struktur &uuml;bernommen werden.<br>
Soll die Kategorie verworfen werden, so muss die Markierung deaktiviert
werden. Direkt zugeordnete Dokumente bleiben dann in der urspr&uuml;nglichen
Kategorie, aus der die Clusterfunktion aufgerufen wurde. 
M&ouml;gliche Unterkategorien der verworfenen Kategorie wandern
beim Speichern in die n&auml;chst h&ouml;here Kategorie.<br>
</p>
<img src="pic3-vkc-clustering-category-checkbox.gif" border="1"
alt="Clustering: Kategorien bernehmen oder verwerfen">
<p>
Falls vorhanden, umfasst der Ordner "Misc" alle Dokumente,
die beim Clustern nicht ber&uuml;cksichtigt oder untergebracht
werden konnten.
Er ist standardm&auml;&szlig;ig deaktiviert, sodass
die Dokumente im urspr&uuml;nglichen Ordner verbleiben.
</p>
<p>
<b>Kategorienamen &uuml;berarbeiten:</b><br>
Au&szlig;erdem wird zu den Kategorien ein Name angezeigt,
der aus den f&uuml;r das Clustering ma&szlig;geblichen Begriffstermen
gebildet wurde. Ausnahmen sind die unbenannten Kategorien, falls sie
nicht per Option ausgeschlossen wurden. Sie erhalten beim Speichern
eine numerische Kennung.<br>
Der Benutzer kann aber jeder Kategorie selbst einen Namen zuordnen.
Dazu klickt er auf den Ordnereintrag im Explorer. Im Kategoriefenster
werden dann die Metadaten der Kategorie angezeigt und k&ouml;nnen
ge&auml;ndert werden (Beschreibung siehe "Kategoriefenster").
</p>
<p>
</li>
</ul>

<p>
Auf der rechten Seite liegen von oben nach unten:
</p>
<ul>
<li>
<p>
das <b>Dokumentenfenster</b>,<br>
in dem jeweils die Metadaten des im Strukturbrowser per Mausklick
ausgew&auml;hlten Dokuments
angesehen werden k&ouml;nnen.
</p>
<img src="pic3-vkc-clustering-docwindow.gif" border="1"
alt="Clustering: Dokumentinformation">
<p>
Sie sehen genau die Informationen, die auch in der Kategoriesicht
angezeigt werden.
Wie in der Kategoriesicht k&ouml;nnen Sie auch die Hyperlinks
innerhalb des Dokumenteintrags benutzen, z.&nbsp;B. um den
Dokumentinhalt in einem separaten Fenstern anzuschauen.
</p>
</li>

<li>
<p>
das <b>Kategoriefenster</b>,<br>
in dem jeweils die Metadaten der im Strukturbrowser per Mausklick
ausgew&auml;hlten Kategorie
angesehen und bearbeitet werden k&ouml;nnen.
</p>
<p>
Hier k&ouml;nnen Sie der Kategorie einen <b>Namen</b> geben bzw. den
generierten Namen &auml;ndern.<br>
Sie k&ouml;nnen eine <b>Beschreibung</b> f&uuml;r die Kategorie
hinzuf&uuml;gen.<br>
Wenn Sie die Option <b>flache Hierarchie</b> aktivieren,
so entfallen alle vorgeschlagenen Unterkategorien und die zugeordneten
Dokumente werden in der aktuellen Kategorie gesammelt.
</p>
<img src="pic3-vkc-clustering-categorywindow.gif" border="1"
alt="Clustering: Kategorien berarbeiten">
<p>
Alle &Auml;nderungen im Kategoriefenster m&uuml;ssen per Klick auf
<b>&Uuml;bernehmen</b> best&auml;tigt werden, um wirksam zu werden.
</p>
</li>
<li>
<p>
das <b>Funktionsfenster</b>,<br>
in dem der gepr&uuml;fte und eventuell bearbeitete Strukturvorschlag
im VKC gespeichert oder verworfen werden kann.
</p>
<img src="pic3-vkc-clustering-final.gif" border="1"
alt="Clustering: Struktur speichern oder Funktion abbrechen">
<p>
Per Klick auf <b>Speichern</b> wird die Struktur ins VKC &uuml;bernommen.
Anschlie&szlig;end kehren Sie in die Kategoriesicht zur&uuml;ck,
in der Sie nun die neue Unterstruktur vorfinden:
</p>
<img src="pic3-vkc-clustering-result.gif" border="1"
alt="Clustering: Rckkehr in Kategoriesicht">
<p>
Klicken Sie stattdessen auf <b>Abbrechen</b> wird der Strukturvorschlag
verworfen und die urspr&uuml;ngliche Kategorie bleibt unver&auml;ndert.
Sie kehren direkt in die Kategoriesicht zur&uuml;ck.
</p>
</li>
</ul>

<p>
Wenn Sie noch einzelne Dokumente innerhalb der generierten Struktur
verschieben m&ouml;chten, so nutzen Sie daf&uuml;r am besten die
"Cut/Paste"-Funktion in der Kategoriesicht.
Sie ist auf der <a href="help.jsp#functionlist">VKC-Hilfeseite</a>
beschrieben.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="insert"></a>
Dokument einf&uuml;gen mit Analyse und Klassifikation&nbsp;&nbsp;
<img src="pic3-button-newdocument.gif" align="middle" alt="Dokument einfgen">
</h4>

<p>
Diese Funktion dient dazu, ein Dokument zu publizieren.
Dazu muss der angemeldete Benutzer Schreibrechte in der aktuellen Kategorie besitzen.
</p>

<p>
Hinweis:
Wollen Sie eine gr&ouml;&szlig;ere Anzahl von Dokumenten oder einen Verzeichnisbaum
schnell ohne Analyse oder Klassifikation ins VKC einstellen, k&ouml;nnen Sie &uuml;ber
die WebDAV-Schnittstelle auf VKC als "Web-Ordner" zugreifen und die Copy/Paste-Funktionen
des Filesystems benutzen. Siehe dazu:
<a href="helpmod-webfolder.jsp">Hilfeseite "VKC als Web-Ordner (WebDAV)"</a>
</p>

<p>
Beim Klick auf das Funktionssymbol
<img src="pic3-button-newdocument.gif" align="middle" alt="Dokument einfgen">
wird ein Formular geladen,
in dem zuerst auszuw&auml;hlen ist,
ob eine <b>Datei</b>, ein <b>WWW-Verweis</b>, eine <b>WWW-Kopie</b> oder
eine <b>Notiz</b> publiziert werden soll, da teilweise unterschiedliche Parameter
abgefragt werden m&uuml;ssen. Standarm&auml;&szlig;ig ist "Datei" voreingestellt:
</p>
<img src="pic3-webld-document.gif" width="709" height="291" border="1" 
alt="Formular: Dokument einstellen">
<p>
Die Datei, die ver&ouml;ffentlicht werden soll, muss &uuml;ber die
Funktion <b>Browse</b> lokalisiert werden.
Der <b>Dateityp</b> wird aus der Endung des Dateinamens abgeleitet.
Es sollten also m&ouml;glichst die f&uuml;r g&auml;ngige Applikationen
&uuml;blichen Dateiendungen vorliegen (z. B. ".doc", ".pdf", ".html").
In das Feld <b>Titel</b> muss ein Dokumenttitel eingetragen werden.
Als <b>Autor</b> wird der publizierende Benutzer eingetragen und kann ggf.
&uuml;berschrieben werden.
Die Angaben von <b>Erstellungsdatum</b>, <b>Versionsbeschreibung</b> und <b>Versions-Label</b>
f&uuml;r diese erste Dokumentversion sind optional.
</p>
<p>
Statt einer lokalen Datei kann auch eine Quelle aus dem Internet (WWW)
publiziert werden, und zwar entweder als <b>WWW-Verweis</b> oder als <b>WWW-Kopie</b>.
Ein Kopie ist allerdings meist nur sinnvoll, wenn es sich um eine Datei,
kein Webverzeichnis handelt.
Der Webpfad (URL) f&uuml;r die Webquelle muss in das Feld <b>WWW-Verweis</b>
eingetragen werden.
Wie bei einer Datei muss auch hierzu ein <b>Titel</b> angegeben werden.
Als <b>Autor</b> wird der publizierende Benutzer eingetragen und kann ggf.
&uuml;berschrieben werden.
<b>Erstellungsdatum</b>, <b>Versionsbeschreibung</b> und <b>-Label</b> sind optional.
</p>
<img src="pic3-webld-html.gif" width="708" height="271" border="1" 
alt="Formular: WWW-Verweis einstellen">
<p>
Sowohl f&uuml;r Dateien als auch f&uuml;r Web-Quellen k&ouml;nnen <b>Titel</b>,
<b>Schl&uuml;sselw&ouml;rter</b> und <b>Beschreibung</b> manuell eingegeben 
oder f&uuml;r viele Dateitypen auch automatisch generiert werden.
Welche der Felder generiert werden sollen, wird per Klick in das entsprechende
K&auml;stchen festgelegt.
Zum Starten der Generierung klicken Sie auf die Schaltfl&auml;che <b>Analysieren</b>.
Dabei werden Felder, die schon mit Inhalten belegt sind, nicht
&uuml;berschrieben. Die generierten Ergebnisse k&ouml;nnen Sie bei
Bedarf nachbearbeiten.
Per Klick auf das Plus-Symbol
<img src="pic3-button-plus-big.gif" alt="plus">
oberhalb des Beschreibungsfelds kann ein HTML-Editor aktiviert werden
(N&auml;heres dazu siehe <a href="helpmod-htmledit.jsp">Hilfeseite HTML-Editor</a>).
</p>
<img src="pic3-webld-analyse.gif" width="712" height="400" border="1" 
alt="Analyseergebnis">
<p>
Wenn Sie am Anfang des Formulars das Einstellen einer <b>Notiz</b>
ausgew&auml;hlt haben, so k&ouml;nnen Sie einen VKC-Eintrag ohne Datei
publizieren:
</p>
<img src="pic3-webld-note.gif" border="1" alt="Formular: Notiz publizieren">
<p>
Eine Notiz muss mindestens einen <b>Titel</b> haben.
Der eigentliche Inhalt der Notiz wird in das Feld <b>Beschreibung</b> eingetragen.
Per Klick auf das Plus-Symbol
<img src="pic3-button-plus-big.gif" alt="plus">
oberhalb des Beschreibungsfelds kann ein HTML-Editor aktiviert werden
(N&auml;heres dazu siehe <a href="helpmod-htmledit.jsp">Hilfeseite HTML-Editor</a>).
Als <b>Autor</b> wird der publizierende Benutzer eingetragen und kann ggf.
&uuml;berschrieben werden.
Die &uuml;brigen Felder k&ouml;nnen optional ausgef&uuml;llt werden.
Eine automatische Analyse ist nicht m&ouml;glich.
</p>
<p>
Im unteren Teil des Formulars gibt es einige Felder, die f&uuml;r
alle Dokumentarten relevant sind:
</p>
<img src="pic3-webld-common.gif" border="1" alt="Dokumentattribute">
<p>
<b>Dynamische Attribute:</b> Darunter versteht man benutzerdefinierte Attribute
eines Dokuments. Sie bestehen aus einem Namen und dem Wert, z. B.:
</p>
<img src="pic3-vkc-dynattributes.gif" border="1" alt="dynamisches Attribut">
<p>
Ein Klick auf <b>Dyn. Attribut hinzufgen</b> stellt jeweils ein Eingabefeld 
fr ein neues Attribut bereit.
Per Klick auf das Papierkorbsymbol
<img src="pic3-button-deletecat.gif"  align="middle" alt="">
rechts neben einem Attribut kann es wieder entfernt werden.
</p>
<p>
<b>Dokument ver&ouml;ffentlichen am:</b>
Falls gew&uuml;nscht, kann mit Hilfe eines Kalenders
<img src="pic3-button-calendar.gif" align="middle" alt="">
ein Erscheinungsdatum gesetzt werden. Erst an diesem Termin
wird das Dokument f&uuml;r alle berechtigten Leser sichtbar.
Vorher ist der Dokumenteintrag nur f&uuml;r den Autor und
f&uuml;r Administratoren sichtbar.
</p>
<p>
<b>Dokument verf&auml;llt am:</b>
Falls gew&uuml;nscht, kann mit Hilfe eines Kalenders
<img src="pic3-button-calendar.gif" align="middle" alt="">
ein Verfallsdatum gesetzt werden.
An diesem Termin wird der Dokumenteintrag zun&auml;chst aus dem VKC
entfernt und der urspr&uuml;ngliche Autor informiert. 
Auf <b>abgelaufene Dokumente</b> kann der Autor in seinem Benutzerprofil zugreifen
und &uuml;ber den weiteren Verbleib des jeweiligen Dokuments entscheiden
(siehe <a href="helpmod-profile.jsp">Hilfeseite "Benutzerprofil"</a>, Funktion
"Abgelaufene Dokumente"). 
</p>
<p>
<b>Ver&ouml;ffentlichen als:</b> Falls Sie berechtigt sind, als <b>Stellvertreter</b> f&uuml;r
andere VKC-Benutzer Dokumente zu publizieren, so k&ouml;nnen Sie in dieser
Liste den Benutzer ausw&auml;hlen, in dessen Namen Sie dieses Dokument einstellen
m&ouml;chten.
Falls Sie einen Benutzer ausw&auml;hlen, wird er als <b>Autor</b>
in die Dokumentattribute eingetragen.
</p>
<p>
Falls Sie nicht sicher sind, ob die aktuelle <b>Kategorie</b> die geeignete
f&uuml;r die Publikation ist, k&ouml;nnen Sie die Funktion
<b>Klassifizieren</b> benutzen. Es wird dann entweder im gesamten VKC
oder optional ab der aktuellen Kategorie nach einer passenden Kategorie gesucht.
Die Ergebnisse werden auf einer neuen Formularseite zur Auswahl angeboten:
</p>
<img src="pic3-webld-classify-results.gif" border="1" alt="Klassifikationsergebnis">
<p>
Sie k&ouml;nnen darin eine Kategorie anklicken und auf <b>Kategorie &uuml;bernehmen</b>
klicken, andernfalls klicken Sie auf <b>Abbrechen</b>. Sie kehren in beiden F&auml;llen
in das Publikationsformular zur&uuml;ck, um diesen Vorgang abzuschlie&szlig;en.
</p>
<p>
Wenn Sie mit dem Ausf&uuml;llen des Formulars fertig sind, klicken Sie
auf <b>Ver&ouml;ffentlichen</b>. Der Eintrag erfolgt entweder in der
aktuellen Kategorie oder, falls Sie ein Klassifikationsergebnis &uuml;bernommen
haben, in der markierten Kategorie.
</p>
<p>
Mit dem Knopf <b>Abbrechen</b> kehren Sie in die aktuelle Kategorie
zur&uuml;ck, ohne eine Publikation durchzuf&uuml;hren.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="paste"></a>
Einf&uuml;gen aus Clipboard&nbsp;&nbsp;
<img src="pic3-button-paste.gif" align="middle" alt=""></h4>

<p>
Wenn sich Kategorien oder Dokumente im Zwischenspeicher befinden,
ist es &uuml;ber diese Funktion m&ouml;glich, die gespeicherten Objekte
in die aktuelle Kategorie einzuf&uuml;gen.
Eine Beschreibung der Clipboard-Funktionen bietet die
<a href="help.jsp#functionlist">Hilfeseite "Dokumentablage, Funktionsauswahl"</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h4>
<a name="createcat"></a>
Neue Kategorie anlegen&nbsp;&nbsp;
<img src="pic3-button-newcat.gif" align="middle" alt=""></h4>

<p>
Mit dieser Funktion wird eine neue Unterkategorie angelegt.
Es wird ein Formular geladen, in das der <b>Kategoriename</b> und
optional <b>Schl&uuml;sselw&ouml;rter</b> 
und eine <b>Beschreibung</b> eingetragen werden.
Per Klick auf das Plus-Symbol
<img src="pic3-button-plus-big.gif" alt="plus">
oberhalb des Beschreibungsfelds kann ein HTML-Editor aktiviert werden
(N&auml;heres dazu siehe <a href="helpmod-htmledit.jsp">Hilfeseite HTML-Editor</a>).
</p>
<img src="pic3-vkc-newcat.gif" border="1" alt="Formular: neue Kategorie">
<p>
<b>Suchanfrage f&uuml;r virtuelle Dokumente:</b>
Diese Eingabem&ouml;glichkeit wird z. Zt. nur Benutzern mit Administrationsrechten
geboten. Sie dient dazu, mit der Kategorie eine <b>Suchanfrage</b> zu verkn&uuml;pfen,
die immer bei Anwahl der Kategorie ausgef&uuml;hrt wird und so dynamisch eine
Liste von Dokumenteintr&auml;gen liefert, die die Anfrage zur Laufzeit und
unter Beachtung der Zugriffsrechte des aufrufenden Benutzers erf&uuml;llen.
Die so erzeugten Eintr&auml;ge werden <b>virtuelle Dokumente</b> genannt.<br>
<a href="#queryvirtual">Ausf&uuml;hrliche Beschreibung zur Suchanfrage ...</a>
</p>
<p>
<b>Dynamische Attribute:</b>
Darunter versteht man benutzerdefinierte Attribute einer Kategorie,
die auf der Webseite der Kategorie im beschreibenden Teil angezeigt
werden sollen.
Beim Anlegen oder Bearbeiten einer Kategorie k&ouml;nnen
solche Attribute eingerichtet, gepflegt oder gel&ouml;scht werden.
Sie bestehen aus einem <b>Namen</b> und dem <b>Wert</b>, z. B.:
</p>
<img src="pic3-vkc-dynattributes.gif" border="1" alt="dynamische Attribute">
<p>
Ein Klick auf <b>Dyn. Attribut hinzuf&uuml;gen</b> stellt jeweils ein
Eingabefeld f&uuml;r ein neues Attribut bereit. Angelegt wird das Attribut
beim Erstellen bzw. Speichern der Kategorie.
</p>
<p>
Per Klick auf das Papierkorbsymbol rechts neben dem Attribut wird
es wieder <b>entfernt</b>.
</p>
<p>
<b>Zugriffsrechte:</b>
Die Option
<b>Zugriffsrechte aus &uuml;bergeordneter Kategorie &uuml;bernehmen</b>
bewirkt, dass die neue Kategorie mit denselben Zugriffsrechten
ausgestattet wird, die aktuell f&uuml;r die &uuml;bergeordnete Kategorie
eingestellt sind. 
<br>
Die Option
<b>Zugriffsrechte aus den Voreinstellungen verwenden</b>
bewirkt, dass die Voreinstellungen f&uuml;r untergeordnete Kategorien
gelten, die in der ACL der &uuml;bergeordneten Kategorie festgelegt sind.
<br>
Per Klick auf das Symbol
<img src="pic3-button-acl.gif" align="middle" alt="">
k&ouml;nnen diese Einstellungen in einem Informationsfenster angesehen werden.
</p>
<p>
Mit einem Klick auf Schaltfl&auml;che <b>Erstellen</b>
wird die neue Kategorie angelegt und danach
die VKC-Seite der &uuml;bergeordneten Kategorie neu geladen.<br>
Per Klick auf <b>Abbrechen</b> kann man das Formular verlassen,
ohne eine Kategorie anzulegen.<br>
</p>

<p>
Hinweis:
Sie k&ouml;nnen auch &uuml;ber die WebDAV-Schnittstelle auf VKC als "Web-Ordner" zugreifen
und neue Kategorien wie neue Dateiverzeichnisse erzeugen. 
Siehe dazu:
<a href="helpmod-webfolder.jsp">Hilfeseite "VKC als Web-Ordner (WebDAV)"</a>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h4>
<a name="editcat"></a>
Kategorie bearbeiten&nbsp;&nbsp;
<img src="pic3-button-editcat.gif" align="middle" alt=""></h4>

<p>
Mit dieser Funktion k&ouml;nnen Sie den Namen und die weiteren Eigenschaften
einer Kategorie bearbeiten. Dazu geh&ouml;ren optional auch die
<b>Suchanfrage f&uuml;r virtuelle Dokumente</b> (nur mit Administrationsrechten)
und die <b>dynamischen Attribute</b>.
Es wird ein Formular geladen, das im Aufbau dem Formular
beim Anlegen einer neuen Kategorie entspricht
und mit den aktuellen Attributwerten belegt ist.
</p>
<img src="pic3-vkc-form-editcat.gif" width="579" height="344" border="1"
alt="Formular: Kategorie bearbeiten">
<p>
Die verschiedenen Felder k&ouml;nnen nach Wunsch bearbeitet werden.
In der Hilfe zur Funktion 
<a href="#createcat">Neue Kategorie anlegen</a>
finden Sie n&auml;here Angaben zu einzelnen Feldern.
</p>
<p>
Mit einem Klick
auf Schaltfl&auml;che <b>Speichern</b> werden alle &Auml;nderungen wirksam.<br>
Per Klick auf <b>Zur&uuml;ck</b> kehrt man ohne (erneutes) Speichern
auf die VKC-Seite der Kategorie zur&uuml;ck.<br>
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h4>
<a name="deletecat"></a>
Kategorie l&ouml;schen&nbsp;&nbsp;
<img src="pic3-button-deletecat.gif" align="middle" alt=""></h4>

<p>
Mit dieser Funktion kann die aktuelle Kategorie mit allen Unterkategorien und
allen publizierten Dokumenten gel&ouml;scht werden.
Bevor die Funktion tats&auml;chlich ausgef&uuml;hrt wird, muss die Aktion
vom Benutzer nochmals best&auml;tigt werden.
</p>

<p>
Hinweis:
Sie k&ouml;nnen auch &uuml;ber die WebDAV-Schnittstelle auf VKC als "Web-Ordner" zugreifen
und darin Kategorien l&ouml;schen. 
Siehe dazu:
<a href="helpmod-webfolder.jsp">Hilfeseite "VKC als Web-Ordner (WebDAV)"</a>
</p>

<p>
Versehentlich gel&ouml;schte Kategorien k&ouml;nnen innerhalb eines
vom Administrator bestimmten Zeitraumes unter Angabe des L&ouml;schdatums
und der Benutzerkennung rekonstruiert werden.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>



<h4>
<a name="permissioncat"></a>
Zugriffsrechte einsehen&nbsp;&nbsp;
<img src="pic3-button-acl.gif" align="middle" alt="">&nbsp;&nbsp;
und bearbeiten&nbsp;&nbsp;
<img src="pic3-button-acl-edit.gif" align="middle" alt="">
</h4>

<p>
Mit dieser Funktion k&ouml;nnen die <b>Zugriffsrechte der aktuellen Kategorie</b>
<a href="#acl-view">eingesehen</a> und bei entsprechender Berechtigung auch
<a href="#acl-edit">bearbeitet</a> werden
(am Funktionssymbol zu unterscheiden).
Die Liste der Berechtigungen wird englisch auch "access control list" genannt
und deshalb in den Formularen mit "ACL" abgek&uuml;rzt.
</p>

<p><a name="acl-view"></a><b>Zugriffsrechte einsehen</b>&nbsp;&nbsp;
<img src="pic3-button-acl.gif" align="middle" alt=""></p>

<p>
Es wird folgendes Formular geladen, in dem die aktuellen Einstellungen
der Zugriffsrechte abzulesen sind:
</p>
<img src="pic3-vkc-acl-view.gif" width="286" height="394" border="1" 
alt="Zugriffsrechte einsehen">
<p>
Klickt man auf einen Benutzer- oder Gruppennamen, so werden dessen
Zugriffsrechte im unteren Teil des Fensters angezeigt.
Per Klick auf <b>Beenden</b> kehrt man in die Dokumentsicht der Kategorie zur&uuml;ck.
</p>

<p><a name="acl-edit"></a><b>Zugriffsrechte bearbeiten</b>&nbsp;&nbsp;
<img src="pic3-button-acl-edit.gif" align="middle" alt=""></p>

<p>
Wenn der angemeldete Benutzer das Recht hat, die Zugriffsrechte zu &auml;ndern,
so wird das folgende Formular geladen:
</p>
<p>
<img src="pic3-vkc-acl.gif" width="546" height="453" border="1" 
alt="Zugriffsrechte bearbeiten">
</p>

<p>
Zugriffsrechte k&ouml;nnen f&uuml;r <b>Benutzer</b> und f&uuml;r <b>Gruppen</b>
vergeben werden.
Der Eintrag <b>Jeder</b> gilt - falls vorhanden - f&uuml;r alle nicht explizit
aufgef&uuml;hrten Benutzer, die auch zu keiner der aufgef&uuml;hrten Gruppen
geh&ouml;ren.
Wenn man einen Eintrag der Benutzer- und Gruppenliste selektiert, so werden
die zugeh&ouml;rigen <b>Zugriffsrechte</b> im unteren Teil des Fensters angezeigt.
Klickt man auf den Hyperlink mit dem Benutzer- oder Gruppennamen,
so wird zur Information ein Fenster mit dem jeweiligen Benutzer- oder
Gruppenprofil ge&ouml;ffnet.
Die Rechte k&ouml;nnen durch Aktivieren oder Deaktivieren der jeweiligen
Einzeloptionen ge&auml;ndert werden. Wirksam werden die Rechte nur,
wenn nach allen &Auml;nderungen f&uuml;r einen Benutzer oder eine Gruppe
auf <b>Speichern</b> geklickt wird.
</p>
<p>
Die Kn&ouml;pfe rechts von der Benutzer- und Gruppenliste dienen dazu,
Benutzer oder Gruppen hinzuzuf&uuml;gen oder zu entfernen.
Wenn man den Eintrag <b>Jeder</b> l&ouml;scht, d&uuml;rfen nur noch die
explizit aufgef&uuml;hrten Benutzer und Gruppen auf die Kategorie zugreifen.
</p>
<p>
Unterhalb der Liste der Berechtigungen kann per Option ausgewhlt werden,
ob bzw. wie sich &Auml;nderungen auf Unterkategorien auswirken:
</p>
<ul>
<li>
Standardm&auml;&szlig;ig gelten die Einstellungen <b>nur fr die aktuelle Kategorie</b>.
</li>
<li>
Die Option <b>Einstellungen mit denen der Unterkategorien zusammenf&uuml;hren</b>
bewirkt, dass die Rechte der aktuellen Kategorie mit denen der
einzelnen Unterkategorien per ODER verknpft werden, sofern der Benutzer
die Zugriffsrechte der jeweiligen Unterkategorie setzen darf.
</li>
<li>
Die Option <b>Einstellungen f&uuml;r alle Unterkategorien &uuml;bernehmen</b>
bewirkt, dass alle Unterkategorien dieselben Zugriffsrechte wie die aktuelle
Kategorie erhalten, sofern der Benutzer deren Zugriffsrechte setzen darf.
</li>
</ul>
<p>
Der Knopf <b>Voreinstellungen...</b> dient dazu, Zugriffsrechte f&uuml;r
alle k&uuml;nftigen Unterkategorien der aktuell angezeigten vorzugeben,
die beim Anlegen gesetzt werden.
</p>
<p>
Wenn ein <b>ganzer Teilbaum gegen Zugriffe geschtzt</b> werden soll,
m&uuml;ssen dazu auch die Zugriffsrechte <b>aller Unterkategorien</b>
angepasst werden. Anderfalls k&ouml;nnten Benutzer &uuml;ber die
Suchfunktion auf Dokumente in Unterkategorien zugreifen, sofern
die jeweilige Unterkategorie den Zugriff erlaubt.
</p>
<p>
Per Klick auf <b>Beenden</b> kehrt man in die Dokumentsicht der Kategorie zur&uuml;ck.
</p>


<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="notify"></a>
Seite registrieren&nbsp;&nbsp;
<img src="pic3-button-registercat.gif" align="middle" alt=""></h4>

<p>
Mit dieser Funktion kann man die aktuell angezeigte <b>VKC-Kategorie</b>
in den <b>Messenger</b> eintragen.
Sofern dort die Benachrichtigung aktiviert ist, werden Sie bei Erscheinen
neuer Dokumente in der Kategorie automatisch benachrichtigt.
</p>
<p>
Die Registrierung der <b>Unterordner</b> wird automatisch vorgenommen
und kann im Messenger abgeschaltet werden.
</p>
<p>
Um einen Kategorieeintrag sp&auml;ter wieder zu l&ouml;schen,
w&auml;hlen Sie den Messenger an,
deaktivieren den entsprechenden Eintrag
durch Klick in das K&auml;stchen davor und klicken auf
<b>Speichern</b>.
</p>
<p>
<img src="pic3-vkc-messenger-del.gif" border="1" alt="Messenger, Registrierung lschen">
</p>
<p>
Eine ausf&uuml;hrliche Beschreibung zum Messenger bietet die
<a href="help.jsp#messenger">Hilfeseite "Messenger"</a>.
</p>

<p>
<b>Registrierung f&uuml;r weitere VKC-Gruppen oder -Benutzer
(nur als Administrator)</b>
</p>
<p>
Benutzt ein Administrator die Funktion <b>Seite registrieren</b>,
so wird die Kategorie nicht direkt in sein Messengerprofil eingetragen,
sondern es wird ein spezielles Formular geladen, in dem genau eingestellt
werden kann, bei welchen VKC-Gruppen oder auch -Benutzern diese Kategorie
zur Benachrichtigung eingetragen werden soll.
</p>
<img src="pic3-vkc-registercat-adm.gif" width="480" height="459" border="1" 
alt="Kategorie registrieren (Admin)">
<p>
Benutzer mit <b>vollen Administrationsrechten</b> haben die Auswahl unter
<b>allen</b> VKC-Gruppen und -Benutzern,
<b>dedizierte Administratoren</b> k&ouml;nnen die Kategorie nur bei den
<b>von ihnen verwalteten Gruppen und Benutzern</b> registrieren.
</p>
<p>
Eine Registrierung f&uuml;r eine VKC-Gruppe bewirkt, dass die Kategorie
f&uuml;r alle derzeitigen Mitglieder der Gruppe in deren Messenger
eingetragen wird.
</p>
<p>
Per Klick auf <b>Registrieren</b> wird die Auswahl wirksam,
und die Messenger-Eintragungen werden vorgenommen.
Sobald die Kategorie eingetragen ist, kann der Eintrag nur noch vom jeweiligen
Benutzer selbst im Messenger bearbeitet werden.
</p>
<p>
Per Klick auf <b>Zur&uuml;ck</b> kehrt man in die Dokumentansicht zur&uuml;ck.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>

<h4>
<a name="addfavcat"></a>
Kategorie zu VKC-Favoriten hinzuf&uuml;gen&nbsp;&nbsp;
<img src="pic3-button-add-catfavorites.gif" align="middle" alt="">
</h4>

<p>
Mit dieser Funktion tragen Sie die aktuelle Kategorie in Ihre <b>VKC-Favoritenliste</b>
ein, &uuml;ber die sie h&auml;ufig benutzte Kategorien besonders schnell finden
k&ouml;nnen. Die Eintragung wird durch eine Best&auml;tigungsmeldung quittiert.
N&auml;heres zur Favoritenliste beschreibt die
<a href="help.jsp#favorites">Hilfeseite "Favoriten"</a>.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<h4>
<a name="queryvirtual"></a>
Suchanfrage f&uuml;r virtuelle Dokumente
</h4>

<p>
Kategorien k&ouml;nnen mit einer <b>Suchanfrage</b> verkn&uuml;pft werden,
die immer bei Anwahl der Kategorie ausgef&uuml;hrt wird und so dynamisch eine
Liste von Dokumenteintr&auml;gen liefert, die die Anfrage zur Laufzeit und
unter Beachtung der Zugriffsrechte des aufrufenden Benutzers erf&uuml;llen.
Die so erzeugten Eintr&auml;ge werden <b>virtuelle Dokumente</b> genannt.
</p>
<p>
Sie k&ouml;nnen eine <a href="#newvquery">Suchanfrage erstellen</a> oder
eine bereits gespeicherte <a href="#editvquery">Suchanfrage bearbeiten</a> oder
l&ouml;schen.
</p>

<p><a name="newvquery"></a>
<b>Suchanfrage erstellen</b></p>

<p>
Die Suchanfrage kann beim <b>Anlegen</b>
<img src="pic3-button-newcat.gif" align="middle" alt="">
oder <b>Bearbeiten</b> 
<img src="pic3-button-editcat.gif" align="middle" alt="">
einer Kategorie
erstellt werden, z. Zt. nur durch Administratoren.
In den Eigenschaften der Kategorie befindet sich das Feld
<b>Suchanfrage f&uuml;r virtuelle Dokumente</b>:
</p>
<img src="pic3-vkc-vquery1.gif" width="674" height="35" border="1"
alt="Query virtuelle Dokumente">
<p>
Per Klick auf <b>Erstellen</b> rechts im Feld wird ein Formular zur Eingabe
der Suchanfrage geladen, das im Wesentlichen dem Formular der erweiterten Suche
entspricht.
</p>
<img src="pic3-vkc-vquery.gif" width="759" height="484" border="1" 
alt="Query virtuelle Dokumente erstellen">
<p>
Im oberen Teil des Formulars spezifizieren Sie die Suchstrings f&uuml;r die
gew&uuml;nschten Felder, die bei der Suche per UND-Verkn&uuml;pfung kombiniert
werden.
N&auml;heres zur Formulierung der einzelnen Suchstrings bietet die
<a href="helpmod-searchstring.jsp">Hilfeseite "Syntax der Suchbegriffe"</a>.
Im unteren Teil des Formulars k&ouml;nnen Sie die Ergebnisliste zus&auml;tzlich
nach Publikationsdatum und Dokumenttyp einschr&auml;nken, sowie eine Sortierfolge
vorgeben.
</p>
<p>
Per Klick auf Schaltfl&auml;che <b>&Uuml;bernehmen</b> tragen Sie die Suchanfrage
in die Kategoriebeschreibung ein und kehren in das aufrufende Formular zur&uuml;ck.
Dort schlie&szlig;en Sie den Vorgang mit <b>Erstellen</b>
(in Funktion <a href="#createcat">Neue Kategorie anlegen</a>)
oder <b>Speichern</b> (in Funktion <a href="#editcat">Kategorie bearbeiten</a>) ab.<br>
Falls Sie unter der Suchmaske statt "&Uuml;bernehmen" die Schaltfl&auml;che
<b>Zur&uuml;ck</b> anklicken, kehren Sie in das aufrufende Kategorie-Formular
zur&uuml;ck, ohne die Suchanfrage zu &uuml;bernehmen.
</p>

<p><a name="editvquery"></a>
<b>Suchanfrage bearbeiten oder l&ouml;schen</b></p>

<p>
Ist bereits eine Suchanfrage f&uuml;r eine Kategorie eingetragen,
so wird sie Benutzern mit Administrationsrechten in den Kategorieeigenschaften
z.&nbsp;B. wie folgt angezeigt:
</p>
<img src="pic3-vkc-vquery2.gif" width="709" height="125" border="1"
alt="Query in Kategorieeigenschaften">
<p>
Per Klick auf <b>L&ouml;schen</b> und anschlie&szlig;endem Speichern der Kategorie
wird die Suchanfrage entfernt.<br>
Per Klick auf <b>Bearbeiten</b> wird das Formular mit der Suchmaske geladen, 
das Sie wie beim Erstellen der Suchanfrage editieren k&ouml;nnen.
</p>
<img src="pic3-vkc-vquery3.gif" width="687" height="484" border="1" 
alt="Query bearbeiten">
<p>
Per Klick auf <b>&Uuml;bernehmen</b> wird die ge&auml;nderte Anfrage &uuml;bernommen.
Wollen Sie die Suchanfrage unver&auml;ndert lassen, so klicken Sie stattdessen
auf <b>Zur&uuml;ck</b>, um in das Formular mit den Kategorieeigenschaften
zur&uuml;ckzukehren. Falls Sie die Anfrage ge&auml;ndert haben, m&uuml;ssen Sie
den Vorgang mit dem Speichern der Kategorieeigenschaften abschlie&szlig;en.
</p>

<div align="right">
<a href="#top">
<img src="top-blue.gif" alt="zum Seitenanfang" border="0"></a>
</div>


<!-- DOCUMENT FOOTER ************************************************** -->

<hr>
<p>
<b>Hinweis:</b>
<br>
Bitte benutzen Sie f&uuml;r die R&uuml;ckkehr in die aufrufende Hilfeseite
die <b>Back</b>-Funktion Ihres Browsers.
</p>

<img src="vkc-versioninfo.gif" alt="Versionsinformation" border="0">

</body>
</html:html>