<%@ page language="java" buffer="100kb" errorPage="/common/error.jsp"%>

<%@ taglib uri="struts-html" 	prefix="html" %>
<%@ taglib uri="struts-bean" 	prefix="bean" %>
<%@ taglib uri="struts-logic" 	prefix="logic" %>
<%@ taglib uri="vkc-taglib" 	prefix="vkc" %>

<bean:define id="form" name="form" scope="request" type="vkc.profile.form.UserDocumentViewSettingsForm"/>
<table width="1%" border="0" cellpadding="0" cellspacing="5" align="center">
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.file"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileName" disabled="true"/></td>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.fileformat"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileFormat" disabled="true"/></td>
  </tr>

	
  <tr>
    <logic:equal name="categorySettings" property="showDocumentClass" value="true">
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.class"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="classType" disabled="true"/></td>
    </logic:equal>
    <logic:equal name="categorySettings" property="showDocumentClass" value="false">
    <td colspan="1" valign="top" nowrap="nowrap">&nbsp;</td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%">&nbsp;</td>
    </logic:equal>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.type.filesize"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="fileSize" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.version"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionNo" disabled="true"/></td>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.label"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionLabel" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.versiondescr"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="versionDescr" disabled="true"/></td>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.expires"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="expires" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.published"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="published" disabled="true"/></td>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.author"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="author" disabled="true"/></td>
  </tr>
	
  <tr>
    <logic:equal name="categorySettings" property="showCreationDate" value="true">
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.creationdate"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="creationDate" disabled="true"/></td>
    </logic:equal>
    <logic:equal name="categorySettings" property="showCreationDate" value="false">
    <td colspan="1" valign="top" nowrap="nowrap">&nbsp;</td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%">&nbsp;</td>
    </logic:equal>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.publisher"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="publisher" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.accesscount"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="accessCount" disabled="true"/></td>

    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.lastaccessed"/>:</b></td>
    <td colspan="1" valign="top" nowrap="nowrap" width="100%"><html:checkbox property="lastAccessed" disabled="true"/></td>
  </tr>
	
  <logic:equal name="categorySettings" property="showDocumentStatus" value="true">
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.status"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="statusType" disabled="true"/></td>
  </tr>
  </logic:equal>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.keywords"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="keywords" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.description"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="description" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.document.additional_formats"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="additionalFormats" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.string.dynaAttributes"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="dynaAttributes" disabled="true"/></td>
  </tr>
	
  <tr>
    <td colspan="1" valign="top" nowrap="nowrap"><b><vkc:message key="vkc.string.addAttributes"/>:</b></td>
    <td colspan="3" valign="top" width="100%"><html:checkbox property="addAttributes" disabled="true"/></td>
  </tr>
</table>